/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CRYPTO_BASIC_SKEL_H__
#define __CRYPTO_BASIC_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct crypto_basic {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__crypto_ctx_map;
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *crypto_release;
		struct bpf_program *crypto_acquire;
	} progs;
	struct {
		struct bpf_link *crypto_release;
		struct bpf_link *crypto_acquire;
	} links;
	struct crypto_basic__bss {
		int status;
	} *bss;

#ifdef __cplusplus
	static inline struct crypto_basic *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct crypto_basic *open_and_load();
	static inline int load(struct crypto_basic *skel);
	static inline int attach(struct crypto_basic *skel);
	static inline void detach(struct crypto_basic *skel);
	static inline void destroy(struct crypto_basic *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
crypto_basic__destroy(struct crypto_basic *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
crypto_basic__create_skeleton(struct crypto_basic *obj);

static inline struct crypto_basic *
crypto_basic__open_opts(const struct bpf_object_open_opts *opts)
{
	struct crypto_basic *obj;
	int err;

	obj = (struct crypto_basic *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = crypto_basic__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	crypto_basic__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct crypto_basic *
crypto_basic__open(void)
{
	return crypto_basic__open_opts(NULL);
}

static inline int
crypto_basic__load(struct crypto_basic *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct crypto_basic *
crypto_basic__open_and_load(void)
{
	struct crypto_basic *obj;
	int err;

	obj = crypto_basic__open();
	if (!obj)
		return NULL;
	err = crypto_basic__load(obj);
	if (err) {
		crypto_basic__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
crypto_basic__attach(struct crypto_basic *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
crypto_basic__detach(struct crypto_basic *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *crypto_basic__elf_bytes(size_t *sz);

static inline int
crypto_basic__create_skeleton(struct crypto_basic *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "crypto_basic";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "__crypto_ctx_map";
	map->map = &obj->maps.__crypto_ctx_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "crypto_b.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "crypto_b.rodata";
	map->map = &obj->maps.rodata;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "crypto_release";
	s->progs[0].prog = &obj->progs.crypto_release;
	s->progs[0].link = &obj->links.crypto_release;

	s->progs[1].name = "crypto_acquire";
	s->progs[1].prog = &obj->progs.crypto_acquire;
	s->progs[1].link = &obj->links.crypto_acquire;

	s->data = crypto_basic__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *crypto_basic__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\xa0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x79\x73\
\x63\x61\x6c\x6c\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x63\x72\x79\x70\x74\x6f\x5f\x62\x61\
\x73\x69\x63\x2e\x63\0\x63\x72\x79\x70\x74\x6f\x5f\x72\x65\x6c\x65\x61\x73\x65\
\0\x73\x74\x61\x74\x75\x73\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\
\x74\x78\x5f\x63\x72\x65\x61\x74\x65\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\
\x5f\x63\x74\x78\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x63\x72\x79\x70\x74\x6f\x5f\
\x61\x63\x71\x75\x69\x72\x65\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\
\x74\x78\x5f\x61\x63\x71\x75\x69\x72\x65\0\x5f\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x5f\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\x74\x78\x5f\x6d\x61\x70\0\x2e\x72\
\x65\x6c\x73\x79\x73\x63\x61\x6c\x6c\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x34\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x58\0\0\0\x52\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x59\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x86\x12\0\0\x03\0\0\0\0\0\0\x02\x58\0\0\0\0\0\0\x02\x78\0\0\
\0\x95\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\x11\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xb6\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x7b\xa1\xff\xf8\0\0\0\0\x18\x10\0\0\
\x61\x65\x73\x29\0\0\0\0\x65\x63\x62\x28\x7b\xa1\xfe\x78\0\0\0\0\x18\x10\0\0\
\x70\x68\x65\x72\0\0\0\0\x73\x6b\x63\x69\x7b\xa1\xfe\x68\0\0\0\0\x7a\xa0\xff\
\xf0\0\0\0\0\x7a\xa0\xff\xe8\0\0\0\0\x7a\xa0\xff\xe0\0\0\0\0\x7a\xa0\xff\xd8\0\
\0\0\0\x7a\xa0\xff\xd0\0\0\0\0\x7a\xa0\xff\xc8\0\0\0\0\x7a\xa0\xff\xc0\0\0\0\0\
\x7a\xa0\xff\xb8\0\0\0\0\x7a\xa0\xff\xb0\0\0\0\0\x7a\xa0\xff\xa8\0\0\0\0\x7a\
\xa0\xff\xa0\0\0\0\0\x7a\xa0\xff\x98\0\0\0\0\x7a\xa0\xff\x90\0\0\0\0\x7a\xa0\
\xff\x88\0\0\0\0\x7a\xa0\xff\x80\0\0\0\0\x7a\xa0\xff\x78\0\0\0\0\x7a\xa0\xff\
\x70\0\0\0\0\x7a\xa0\xff\x68\0\0\0\0\x7a\xa0\xff\x60\0\0\0\0\x7a\xa0\xff\x58\0\
\0\0\0\x7a\xa0\xff\x50\0\0\0\0\x7a\xa0\xff\x48\0\0\0\0\x7a\xa0\xff\x40\0\0\0\0\
\x7a\xa0\xff\x38\0\0\0\0\x7a\xa0\xff\x30\0\0\0\0\x7a\xa0\xff\x28\0\0\0\0\x7a\
\xa0\xff\x20\0\0\0\0\x7a\xa0\xff\x18\0\0\0\0\x7a\xa0\xff\x10\0\0\0\0\x7a\xa0\
\xff\x08\0\0\0\0\x7a\xa0\xff\0\0\0\0\0\x7a\xa0\xfe\xf8\0\0\0\0\x7a\xa0\xfe\xf0\
\0\0\0\0\x7a\xa0\xfe\xe8\0\0\0\0\x7a\xa0\xfe\xe0\0\0\0\0\x7a\xa0\xfe\xd8\0\0\0\
\0\x7a\xa0\xfe\xd0\0\0\0\0\x7a\xa0\xfe\xc8\0\0\0\0\x7a\xa0\xfe\xc0\0\0\0\0\x7a\
\xa0\xfe\xb8\0\0\0\0\x7a\xa0\xfe\xb0\0\0\0\0\x7a\xa0\xfe\xa8\0\0\0\0\x7a\xa0\
\xfe\xa0\0\0\0\0\x7a\xa0\xfe\x98\0\0\0\0\x7a\xa0\xfe\x90\0\0\0\0\x7a\xa0\xfe\
\x88\0\0\0\0\x7a\xa0\xfe\x80\0\0\0\0\x7a\xa0\xfe\x70\0\0\0\0\x18\x60\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x62\x60\0\0\0\0\0\0\x62\xa0\xfe\x64\0\0\0\0\xbf\x1a\0\0\0\0\
\0\0\x07\x10\0\0\xff\xff\xfe\x68\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xfe\
\x64\xb4\x20\0\0\0\0\x01\x98\x85\x01\0\0\xff\xff\xff\xff\x55\0\0\x03\0\0\0\0\
\x61\x1a\xfe\x64\0\0\0\0\x63\x61\0\0\0\0\0\0\x05\0\0\x02\0\0\0\0\xbf\x10\0\0\0\
\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x7b\xa1\xff\xf8\0\0\0\0\x18\x10\0\0\x61\x65\x73\
\x29\0\0\0\0\x65\x63\x62\x28\x7b\xa1\xfe\x78\0\0\0\0\x18\x10\0\0\x70\x68\x65\
\x72\0\0\0\0\x73\x6b\x63\x69\x7b\xa1\xfe\x68\0\0\0\0\x7a\xa0\xff\xf0\0\0\0\0\
\x7a\xa0\xff\xe8\0\0\0\0\x7a\xa0\xff\xe0\0\0\0\0\x7a\xa0\xff\xd8\0\0\0\0\x7a\
\xa0\xff\xd0\0\0\0\0\x7a\xa0\xff\xc8\0\0\0\0\x7a\xa0\xff\xc0\0\0\0\0\x7a\xa0\
\xff\xb8\0\0\0\0\x7a\xa0\xff\xb0\0\0\0\0\x7a\xa0\xff\xa8\0\0\0\0\x7a\xa0\xff\
\xa0\0\0\0\0\x7a\xa0\xff\x98\0\0\0\0\x7a\xa0\xff\x90\0\0\0\0\x7a\xa0\xff\x88\0\
\0\0\0\x7a\xa0\xff\x80\0\0\0\0\x7a\xa0\xff\x78\0\0\0\0\x7a\xa0\xff\x70\0\0\0\0\
\x7a\xa0\xff\x68\0\0\0\0\x7a\xa0\xff\x60\0\0\0\0\x7a\xa0\xff\x58\0\0\0\0\x7a\
\xa0\xff\x50\0\0\0\0\x7a\xa0\xff\x48\0\0\0\0\x7a\xa0\xff\x40\0\0\0\0\x7a\xa0\
\xff\x38\0\0\0\0\x7a\xa0\xff\x30\0\0\0\0\x7a\xa0\xff\x28\0\0\0\0\x7a\xa0\xff\
\x20\0\0\0\0\x7a\xa0\xff\x18\0\0\0\0\x7a\xa0\xff\x10\0\0\0\0\x7a\xa0\xff\x08\0\
\0\0\0\x7a\xa0\xff\0\0\0\0\0\x7a\xa0\xfe\xf8\0\0\0\0\x7a\xa0\xfe\xf0\0\0\0\0\
\x7a\xa0\xfe\xe8\0\0\0\0\x7a\xa0\xfe\xe0\0\0\0\0\x7a\xa0\xfe\xd8\0\0\0\0\x7a\
\xa0\xfe\xd0\0\0\0\0\x7a\xa0\xfe\xc8\0\0\0\0\x7a\xa0\xfe\xc0\0\0\0\0\x7a\xa0\
\xfe\xb8\0\0\0\0\x7a\xa0\xfe\xb0\0\0\0\0\x7a\xa0\xfe\xa8\0\0\0\0\x7a\xa0\xfe\
\xa0\0\0\0\0\x7a\xa0\xfe\x98\0\0\0\0\x7a\xa0\xfe\x90\0\0\0\0\x7a\xa0\xfe\x88\0\
\0\0\0\x7a\xa0\xfe\x80\0\0\0\0\x7a\xa0\xfe\x70\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x62\x60\0\0\0\0\0\0\x62\xa0\xfe\x64\0\0\0\0\xbf\x1a\0\0\0\0\0\0\
\x07\x10\0\0\xff\xff\xfe\x68\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xfe\x64\
\xb4\x20\0\0\0\0\x01\x98\x85\x01\0\0\xff\xff\xff\xff\x55\0\0\x03\0\0\0\0\x61\
\x1a\xfe\x64\0\0\0\0\x63\x61\0\0\0\0\0\0\x05\0\0\x06\0\0\0\0\xbf\x10\0\0\0\0\0\
\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x10\0\0\0\0\0\0\xb4\0\0\0\xff\xff\xff\xea\
\x15\x10\0\x02\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x73\x6b\x63\x69\x70\x68\x65\x72\0\0\0\0\0\0\0\0\x65\x63\x62\x28\x61\
\x65\x73\x29\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\
\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\xc8\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\x02\x10\0\0\0\
\x05\0\0\0\x0a\0\0\0\0\0\0\x02\x40\0\0\0\x06\0\0\0\x0a\0\0\0\0\0\0\x04\x20\0\0\
\0\x04\0\0\0\x01\0\0\0\0\0\0\x04\x68\0\0\0\x05\0\0\0\x0a\0\0\0\0\0\0\x04\x98\0\
\0\0\x08\0\0\0\x0a\0\0\0\0\0\0\x04\xb8\0\0\0\x06\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\
\x18\0\0\0\0\0\0\x04\xbc\0\0\x04\xbc\0\0\x03\xe3\0\0\0\0\x02\0\0\0\0\0\0\x03\0\
\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\
\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x07\0\0\0\x19\x04\0\0\x01\0\0\0\x08\0\0\0\x2c\
\0\0\0\x08\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x36\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x30\x04\0\0\x04\0\0\
\0\x20\0\0\0\x3a\0\0\0\x01\0\0\0\0\0\0\0\x3f\0\0\0\x05\0\0\0\x40\0\0\0\x43\0\0\
\0\x06\0\0\0\x80\0\0\0\x49\0\0\0\x09\0\0\0\xc0\0\0\0\x55\x0e\0\0\0\0\0\0\x0b\0\
\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x2c\0\0\
\0\x0d\0\0\0\x66\x0c\0\0\x01\0\0\0\x0e\0\0\0\0\x0d\0\0\x03\0\0\0\x11\0\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x05\0\0\0\0\x02\0\0\0\0\0\0\x12\0\0\0\
\x75\x04\0\0\x05\0\0\0\x30\0\0\0\x3a\0\0\0\x13\0\0\0\0\0\0\0\x84\0\0\0\x0d\0\0\
\0\x40\0\0\0\x88\0\0\0\x15\0\0\0\x80\0\0\0\x90\0\0\0\x18\0\0\0\xc0\0\0\0\x94\0\
\0\0\x1c\0\0\x01\x40\0\0\0\0\x02\0\0\0\0\0\0\x14\0\0\0\0\x0a\0\0\0\0\0\0\x37\0\
\0\0\x9a\x08\0\0\0\0\0\0\x16\0\0\0\x9e\x08\0\0\0\0\0\0\x17\0\0\0\xa4\x01\0\0\0\
\0\0\0\x04\0\0\0\x20\0\0\0\xb1\x04\0\0\x02\0\0\0\x10\0\0\0\xbf\0\0\0\x19\0\0\0\
\0\0\0\0\xc4\0\0\0\x1a\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x18\0\0\0\0\x02\0\0\0\
\0\0\0\x1b\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\xc9\x08\0\0\0\0\
\0\0\x1d\0\0\0\xd4\x04\0\0\x01\0\0\0\x04\0\0\0\xe4\0\0\0\x1e\0\0\0\0\0\0\0\xe9\
\x08\0\0\0\0\0\0\x1f\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\0\xf2\0\0\0\x02\0\0\0\0\
\0\0\0\0\x02\0\0\0\0\0\0\x21\0\0\0\0\x0a\0\0\0\0\0\0\x22\0\0\0\xfa\x04\0\0\x06\
\0\0\x01\x98\0\0\0\x3a\0\0\0\x24\0\0\0\0\0\0\x01\x0c\0\0\0\x28\0\0\0\x70\0\0\
\x01\x15\0\0\0\x29\0\0\0\x80\0\0\0\x3f\0\0\0\x2a\0\0\x04\x80\0\0\x01\x1a\0\0\0\
\x15\0\0\x0c\x80\0\0\x01\x22\0\0\0\x15\0\0\x0c\xa0\0\0\x01\x2b\x01\0\0\0\0\0\0\
\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x04\0\0\0\x0e\0\0\
\x01\x30\x08\0\0\0\0\0\0\x26\0\0\x01\x33\x08\0\0\0\0\0\0\x27\0\0\x01\x38\x01\0\
\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x04\0\0\0\
\x02\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x04\0\0\0\x80\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\x25\0\0\0\x04\0\0\x01\0\0\0\x01\x46\x0c\0\0\x02\0\0\0\x10\0\0\0\
\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x11\0\0\x01\x5c\x0c\0\0\x02\0\0\0\x2c\0\0\
\x01\x73\x0c\0\0\x01\0\0\0\x0e\0\0\x01\x82\x11\0\0\0\0\0\0\x2e\xff\xff\xff\xff\
\0\0\x01\x9e\x11\0\0\0\0\0\0\x2e\xff\xff\xff\xff\0\0\0\0\x0d\0\0\x01\0\0\0\x11\
\0\0\0\0\0\0\0\x11\0\0\x01\xcd\x0c\0\0\x02\0\0\0\x31\0\0\x01\xe4\x0e\0\0\0\0\0\
\0\x02\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x04\0\0\0\x04\0\0\
\x01\xeb\x0e\0\0\0\0\0\0\x34\0\0\0\x01\0\0\x01\xf5\x12\0\0\0\0\0\0\x12\0\0\x01\
\xfa\x07\0\0\0\0\0\0\0\0\0\x03\xb9\x0f\0\0\x01\0\0\0\x04\0\0\0\x33\0\0\0\0\0\0\
\0\x04\0\0\x03\xbe\x0f\0\0\0\0\0\x01\x98\0\0\x03\xc6\x0f\0\0\x01\0\0\0\x04\0\0\
\0\x35\0\0\0\0\0\0\0\x04\0\0\x03\xce\x0f\0\0\x01\0\0\0\x20\0\0\0\x0c\0\0\0\0\0\
\0\0\x20\0\0\x03\xd4\x0f\0\0\x03\0\0\0\0\0\0\0\x2b\0\0\0\0\0\0\0\0\0\0\0\x2d\0\
\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x63\x72\x79\
\x70\x74\x6f\x5f\x63\x74\x78\x5f\x76\x61\x6c\x75\x65\0\x63\x74\x78\0\x61\x72\
\x72\x61\x79\x5f\x6d\x61\x70\0\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\
\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x5f\x5f\x63\x72\x79\x70\
\x74\x6f\x5f\x63\x74\x78\x5f\x6d\x61\x70\0\x63\x72\x79\x70\x74\x6f\x5f\x72\x65\
\x6c\x65\x61\x73\x65\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\x74\x78\
\0\x74\x66\x6d\0\x73\x69\x76\x5f\x6c\x65\x6e\0\x72\x63\x75\0\x75\x73\x61\x67\
\x65\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x6e\x65\
\x78\x74\0\x66\x75\x6e\x63\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x74\0\x72\x65\
\x66\x63\x6f\x75\x6e\x74\x5f\x73\x74\x72\x75\x63\x74\0\x72\x65\x66\x73\0\x61\
\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x62\x70\x66\x5f\
\x63\x72\x79\x70\x74\x6f\x5f\x70\x61\x72\x61\x6d\x73\0\x72\x65\x73\x65\x72\x76\
\x65\x64\0\x61\x6c\x67\x6f\0\x6b\x65\x79\x5f\x6c\x65\x6e\0\x61\x75\x74\x68\x73\
\x69\x7a\x65\0\x63\x68\x61\x72\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\
\x5f\x63\x74\x78\x5f\x63\x72\x65\x61\x74\x65\0\x62\x70\x66\x5f\x63\x72\x79\x70\
\x74\x6f\x5f\x63\x74\x78\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x63\x72\x79\x70\x74\
\x6f\x5f\x61\x63\x71\x75\x69\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x30\x3d\x55\x6e\x72\x65\x6c\x65\x61\x73\x65\x64\x20\x72\x65\x66\
\x65\x72\x65\x6e\x63\x65\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\x74\
\x78\x5f\x61\x63\x71\x75\x69\x72\x65\0\x73\x74\x61\x74\x75\x73\0\x5f\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x6b\x70\x74\x72\0\x62\x70\x66\x5f\x63\x72\x79\x70\
\x74\x6f\x5f\x74\x79\x70\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\
\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x63\x72\
\x79\x70\x74\x6f\x5f\x62\x61\x73\x69\x63\x2e\x63\0\x69\x6e\x74\x20\x63\x72\x79\
\x70\x74\x6f\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\
\x74\x78\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x63\x72\x79\x70\
\x74\x6f\x5f\x70\x61\x72\x61\x6d\x73\x20\x70\x61\x72\x61\x6d\x73\x20\x3d\x20\
\x7b\0\x09\x73\x74\x61\x74\x75\x73\x20\x3d\x20\x30\x3b\0\x09\x69\x6e\x74\x20\
\x65\x72\x72\x20\x3d\x20\x30\x3b\0\x09\x63\x63\x74\x78\x20\x3d\x20\x62\x70\x66\
\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\x74\x78\x5f\x63\x72\x65\x61\x74\x65\x28\
\x26\x70\x61\x72\x61\x6d\x73\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x70\x61\x72\
\x61\x6d\x73\x29\x2c\x20\x26\x65\x72\x72\x29\x3b\0\x09\x69\x66\x20\x28\x21\x63\
\x63\x74\x78\x29\x20\x7b\0\x09\x09\x73\x74\x61\x74\x75\x73\x20\x3d\x20\x65\x72\
\x72\x3b\0\x09\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x62\x70\x66\x5f\
\x63\x72\x79\x70\x74\x6f\x5f\x63\x74\x78\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\
\x63\x63\x74\x78\x29\x3b\0\x7d\0\x69\x6e\x74\x20\x63\x72\x79\x70\x74\x6f\x5f\
\x61\x63\x71\x75\x69\x72\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\
\x63\x63\x74\x78\x20\x3d\x20\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\
\x74\x78\x5f\x61\x63\x71\x75\x69\x72\x65\x28\x63\x63\x74\x78\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x63\x63\x74\x78\x29\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\
\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x6b\x73\x79\
\x6d\x73\0\x73\x79\x73\x63\x61\x6c\x6c\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\
\0\x1c\0\0\0\x1c\0\0\x01\x7c\0\0\x01\x98\0\0\0\0\0\0\0\x08\0\0\x03\xdb\0\0\0\
\x02\0\0\0\0\0\0\0\x0f\0\0\x02\x58\0\0\0\x2e\0\0\0\x10\0\0\x03\xdb\0\0\0\x17\0\
\0\0\0\0\0\x02\x0a\0\0\x02\x82\0\0\x34\0\0\0\0\x10\0\0\x02\x0a\0\0\x02\xa0\0\0\
\x3c\x1b\0\0\x01\xc8\0\0\x02\x0a\0\0\x02\xc5\0\0\x60\x09\0\0\x01\xe0\0\0\x02\
\x0a\0\0\x02\xd2\0\0\x58\x06\0\0\x02\x08\0\0\x02\x0a\0\0\x02\xe0\0\0\x68\x09\0\
\0\x02\x18\0\0\x02\x0a\0\0\x03\x1e\0\0\x70\x06\0\0\x02\x20\0\0\x02\x0a\0\0\x03\
\x2c\0\0\x74\x0c\0\0\x02\x28\0\0\x02\x0a\0\0\x03\x2c\0\0\x74\x0a\0\0\x02\x30\0\
\0\x02\x0a\0\0\x03\x3c\0\0\x78\x03\0\0\x02\x38\0\0\x02\x0a\0\0\x03\x48\0\0\x84\
\x02\0\0\x02\x48\0\0\x02\x0a\0\0\x03\x67\0\0\x90\x01\0\0\x02\x58\0\0\x02\x0a\0\
\0\x03\x69\0\0\xa0\0\0\0\x02\x68\0\0\x02\x0a\0\0\x02\xa0\0\0\xa8\x1b\0\0\x04\
\x20\0\0\x02\x0a\0\0\x02\xc5\0\0\xc8\x09\0\0\x04\x38\0\0\x02\x0a\0\0\x02\xd2\0\
\0\xc0\x06\0\0\x04\x60\0\0\x02\x0a\0\0\x02\xe0\0\0\xd0\x09\0\0\x04\x70\0\0\x02\
\x0a\0\0\x03\x1e\0\0\xd8\x06\0\0\x04\x78\0\0\x02\x0a\0\0\x03\x2c\0\0\xdc\x0c\0\
\0\x04\x80\0\0\x02\x0a\0\0\x03\x2c\0\0\xdc\x0a\0\0\x04\x90\0\0\x02\x0a\0\0\x03\
\x87\0\0\xec\x09\0\0\x04\xb0\0\0\x02\x0a\0\0\x03\xad\0\0\xf0\x06\0\0\x04\xb8\0\
\0\x02\x0a\0\0\x03\x48\0\0\xfc\x02\0\0\x04\xc8\0\0\x02\x0a\0\0\x03\x67\0\x01\
\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe1\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x28\0\0\0\0\0\0\x01\x08\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x02\x30\0\0\0\0\0\0\x04\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x07\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\
\0\0\0\0\0\x01\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x26\
\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x98\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xa0\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xc7\0\0\0\x09\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xc0\0\0\0\0\0\0\0\x70\0\0\0\x02\0\0\0\x03\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xd3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\x30\0\0\0\0\0\0\x08\xb7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x11\xe8\0\0\0\0\0\0\x01\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct crypto_basic *crypto_basic::open(const struct bpf_object_open_opts *opts) { return crypto_basic__open_opts(opts); }
struct crypto_basic *crypto_basic::open_and_load() { return crypto_basic__open_and_load(); }
int crypto_basic::load(struct crypto_basic *skel) { return crypto_basic__load(skel); }
int crypto_basic::attach(struct crypto_basic *skel) { return crypto_basic__attach(skel); }
void crypto_basic::detach(struct crypto_basic *skel) { crypto_basic__detach(skel); }
void crypto_basic::destroy(struct crypto_basic *skel) { crypto_basic__destroy(skel); }
const void *crypto_basic::elf_bytes(size_t *sz) { return crypto_basic__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
crypto_basic__assert(struct crypto_basic *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->status) == 4, "unexpected size of 'status'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CRYPTO_BASIC_SKEL_H__ */
