/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __ARENA_LIST_SKEL_H__
#define __ARENA_LIST_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct arena_list {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *arena;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *arena_list_add;
		struct bpf_program *arena_list_del;
	} progs;
	struct {
		struct bpf_link *arena_list_add;
		struct bpf_link *arena_list_del;
	} links;
	struct arena_list__arena {
		int test_val;
		char __pad0[4];
		struct arena_list_head global_head;
		long arena_sum;
	} *arena;
	struct arena_list__bss {
		bool skip;
		char __pad0[7];
		struct arena_list_head *list_head;
		int zero;
		int cnt;
		int list_sum;
	} *bss;

#ifdef __cplusplus
	static inline struct arena_list *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct arena_list *open_and_load();
	static inline int load(struct arena_list *skel);
	static inline int attach(struct arena_list *skel);
	static inline void detach(struct arena_list *skel);
	static inline void destroy(struct arena_list *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
arena_list__destroy(struct arena_list *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
arena_list__create_skeleton(struct arena_list *obj);

static inline struct arena_list *
arena_list__open_opts(const struct bpf_object_open_opts *opts)
{
	struct arena_list *obj;
	int err;

	obj = (struct arena_list *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = arena_list__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	arena_list__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct arena_list *
arena_list__open(void)
{
	return arena_list__open_opts(NULL);
}

static inline int
arena_list__load(struct arena_list *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct arena_list *
arena_list__open_and_load(void)
{
	struct arena_list *obj;
	int err;

	obj = arena_list__open();
	if (!obj)
		return NULL;
	err = arena_list__load(obj);
	if (err) {
		arena_list__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
arena_list__attach(struct arena_list *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
arena_list__detach(struct arena_list *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *arena_list__elf_bytes(size_t *sz);

static inline int
arena_list__create_skeleton(struct arena_list *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "arena_list";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "arena";
	map->map = &obj->maps.arena;
	map->mmaped = (void **)&obj->arena;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "arena_li.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "arena_list_add";
	s->progs[0].prog = &obj->progs.arena_list_add;
	s->progs[0].link = &obj->links.arena_list_add;

	s->progs[1].name = "arena_list_del";
	s->progs[1].prog = &obj->progs.arena_list_del;
	s->progs[1].link = &obj->links.arena_list_del;

	s->data = arena_list__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *arena_list__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\x28\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x79\x73\
\x63\x61\x6c\x6c\0\x2e\x62\x73\x73\0\x2e\x61\x64\x64\x72\x5f\x73\x70\x61\x63\
\x65\x2e\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x61\x72\x65\
\x6e\x61\x5f\x6c\x69\x73\x74\x2e\x63\0\x4c\x42\x42\x30\x5f\x31\x32\0\x70\x61\
\x67\x65\x5f\x66\x72\x61\x67\x5f\x63\x75\x72\x5f\x6f\x66\x66\x73\x65\x74\0\x70\
\x61\x67\x65\x5f\x66\x72\x61\x67\x5f\x63\x75\x72\x5f\x70\x61\x67\x65\0\x4c\x42\
\x42\x31\x5f\x38\0\x61\x72\x65\x6e\x61\x5f\x6c\x69\x73\x74\x5f\x61\x64\x64\0\
\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x67\x6c\x6f\x62\x61\x6c\x5f\x68\x65\x61\
\x64\0\x7a\x65\x72\x6f\0\x63\x6e\x74\0\x74\x65\x73\x74\x5f\x76\x61\x6c\0\x61\
\x72\x65\x6e\x61\x5f\x73\x75\x6d\0\x61\x72\x65\x6e\x61\0\x62\x70\x66\x5f\x61\
\x72\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\0\x61\x72\x65\
\x6e\x61\x5f\x6c\x69\x73\x74\x5f\x64\x65\x6c\0\x62\x70\x66\x5f\x61\x72\x65\x6e\
\x61\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\x65\x73\0\x6c\x69\x73\x74\x5f\x73\x75\
\x6d\0\x73\x6b\x69\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\
\x79\x73\x63\x61\x6c\x6c\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\x04\0\xff\xf1\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x47\0\0\0\x03\0\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\0\0\0\0\x4f\x01\0\0\x05\
\0\0\0\0\0\0\x10\x18\0\0\0\0\0\0\x08\0\0\0\0\x64\x01\0\0\x05\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\x10\0\0\0\0\x77\0\0\0\x03\0\0\0\0\0\0\x04\xe0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\x12\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\x78\0\0\0\x8d\x11\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x08\0\0\0\x97\x11\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\xa3\
\x11\0\0\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\xa8\x11\0\0\x04\0\0\0\0\
\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\xac\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\xb5\x11\0\0\x05\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\xbf\x11\
\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xc5\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xdb\x12\0\0\x03\0\0\0\0\0\0\x03\x78\0\0\0\0\0\0\x01\x90\
\0\0\0\xea\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\x11\0\0\x04\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\x01\x08\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\x01\x0d\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\
\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x71\0\0\0\0\0\0\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x3d\x71\0\x1c\0\0\0\0\x67\x70\0\0\0\0\
\0\x20\xc7\x70\0\0\0\0\0\x20\x18\x10\0\0\0\0\x10\x18\0\0\0\0\0\0\0\0\xbf\x11\0\
\x01\0\0\0\x01\x7b\xa1\xff\xf8\0\0\0\0\x18\x10\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\
\xbf\x11\0\x01\0\0\0\x01\x7b\xa1\xff\xf0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xbf\x11\0\x01\0\0\0\x01\x7b\xa1\xff\xe8\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xbf\x11\0\x01\0\0\0\x01\x7b\xa1\xff\xe0\0\0\0\0\x05\0\0\x0b\0\0\0\
\0\x7b\x36\0\0\0\0\0\0\x7b\x12\0\x08\0\0\0\0\x07\x70\0\0\0\0\0\x01\x18\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\
\0\0\0\x20\xad\x71\0\x02\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xe5\0\xff\
\xfd\0\0\0\0\x85\0\0\0\0\0\0\x08\x67\0\0\0\0\0\0\x20\x77\0\0\0\0\0\0\x20\xbf\
\x10\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x02\x79\x8a\xff\xf8\0\0\0\0\x0f\x81\0\0\0\0\
\0\0\x67\0\0\0\0\0\0\x03\x79\x9a\xff\xf0\0\0\0\0\x0f\x90\0\0\0\0\0\0\x79\x69\0\
\0\0\0\0\0\x55\x60\0\x13\0\0\0\0\xb7\x60\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x01\x18\x40\0\0\xff\xff\xff\
\xff\0\0\0\0\0\0\0\0\xb7\x50\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x15\0\0\
\x19\0\0\0\0\xbf\x10\0\x01\0\0\0\x01\x7b\x90\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\
\x7b\x12\x0f\xf8\0\0\0\0\xb7\x10\0\0\0\0\x0f\xe0\xbf\x30\0\0\0\0\0\0\x07\x30\0\
\0\0\0\x0f\xf8\xbf\x60\0\0\0\0\0\0\x05\0\0\x0b\0\0\0\0\x61\x18\0\0\0\0\0\0\x67\
\x10\0\0\0\0\0\x20\x18\x20\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xe8\x0f\x12\0\0\0\0\
\0\0\xc7\x10\0\0\0\0\0\x20\xc5\x10\xff\xe6\0\0\0\0\xbf\x26\0\x01\0\0\0\x01\x79\
\x22\x0f\xf8\0\0\0\0\xbf\x36\0\0\0\0\0\0\x07\x30\0\0\0\0\x0f\xf8\xbf\x33\0\x01\
\0\0\0\x01\x07\x20\0\0\0\0\0\x01\x7b\x32\0\0\0\0\0\0\x63\x81\0\0\0\0\0\0\x0f\
\x61\0\0\0\0\0\0\x79\x2a\xff\xe8\0\0\0\0\x61\x12\0\0\0\0\0\0\x07\x10\0\0\0\0\0\
\x01\x63\x21\0\0\0\0\0\0\xbf\x16\0\x01\0\0\0\x01\x7b\x17\0\x10\0\0\0\0\x79\x4a\
\xff\xe0\0\0\0\0\x79\x24\0\0\0\0\0\0\xbf\x37\0\0\0\0\0\0\x0f\x32\0\0\0\0\0\0\
\x7b\x43\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x22\0\0\0\0\0\0\
\xbf\x32\0\x01\0\0\0\x01\x79\x43\0\0\0\0\0\0\x7b\x14\0\0\0\0\0\0\x15\x40\xff\
\xb3\0\0\0\0\xbf\x44\0\x01\0\0\0\x01\x7b\x46\0\x08\0\0\0\0\x05\0\xff\xb0\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x71\0\x01\0\0\0\x01\xb7\x60\0\0\0\0\
\0\0\x7b\x76\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\
\0\xbf\x11\0\x01\0\0\0\x01\x79\x21\0\0\0\0\0\0\x15\x20\0\x22\0\0\0\0\xb7\x50\0\
\0\0\0\x01\x22\xb7\0\0\0\0\0\x01\0\x05\0\0\x03\0\0\0\0\x0f\x69\0\0\0\0\0\0\xbf\
\x28\0\0\0\0\0\0\x15\x80\0\x1c\0\0\0\0\xe5\0\0\x1b\0\0\0\0\xbf\x12\0\x01\0\0\0\
\x01\x79\x81\0\0\0\0\0\0\x79\x91\0\x10\0\0\0\0\x79\x37\0\0\0\0\0\0\x0f\x39\0\0\
\0\0\0\0\x7b\x73\0\0\0\0\0\0\x79\x41\0\0\0\0\0\0\x79\x31\0\x08\0\0\0\0\x7b\xa4\
\xff\xf8\0\0\0\0\x15\x40\0\x02\0\0\0\0\xbf\x44\0\x01\0\0\0\x01\x7b\x43\0\x08\0\
\0\0\0\x7b\x15\0\x08\0\0\0\0\x7b\x10\0\0\0\0\0\0\x57\x20\0\0\xff\xff\xf0\0\xbf\
\x12\0\x01\0\0\0\x01\x79\x31\x0f\xf8\0\0\0\0\x07\x30\0\0\xff\xff\xff\xff\x7b\
\x13\x0f\xf8\0\0\0\0\x55\x30\xff\xe8\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb7\x30\0\0\0\0\0\x01\x85\x01\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\x01\0\xb7\
\x50\0\0\0\0\x01\x22\x05\0\xff\xe1\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x63\x16\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x0a\0\0\0\x01\0\0\
\0\0\0\0\0\x28\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x0c\0\0\0\x01\0\0\0\
\0\0\0\0\x70\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\x90\0\0\0\x07\0\0\0\x01\0\0\0\0\
\0\0\0\xb0\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\xd0\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\
\0\x01\x10\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\x01\xc0\0\0\0\x0f\0\0\0\x01\0\0\0\0\
\0\0\x01\xf8\0\0\0\x10\0\0\0\x0a\0\0\0\0\0\0\x03\x28\0\0\0\x09\0\0\0\x01\0\0\0\
\0\0\0\x03\x78\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\x03\xa0\0\0\0\x09\0\0\0\x01\0\0\
\0\0\0\0\x04\xa8\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\x04\xc0\0\0\0\x12\0\0\0\x0a\0\
\0\0\0\0\0\x04\xe0\0\0\0\x13\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\
\x24\0\0\x04\x24\0\0\x08\x07\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\
\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x21\0\
\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\x04\0\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x64\0\0\0\0\x13\0\0\x01\0\0\0\
\x08\0\0\0\x19\0\0\0\0\0\0\x10\0\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x33\0\0\0\
\x01\0\0\0\0\0\0\0\x38\0\0\0\x05\0\0\0\x40\0\0\0\x42\0\0\0\x07\0\0\0\x80\0\0\0\
\x4e\0\0\0\x09\0\0\0\xc0\0\0\0\x58\x0e\0\0\0\0\0\0\x0a\0\0\0\x01\0\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x5e\0\0\0\x0c\0\0\0\x62\x0c\0\
\0\x01\0\0\0\x0d\0\0\0\0\x0d\0\0\x05\0\0\0\x0c\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\
\x0c\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x12\0\0\0\x71\x08\0\0\0\
\0\0\0\x11\0\0\0\x77\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x84\x08\0\0\0\0\0\0\
\x13\0\0\0\x8a\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x9d\x0c\0\0\x02\0\0\0\x0f\0\
\0\0\xb3\x0c\0\0\x01\0\0\0\x0d\0\0\0\0\x0d\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\x0c\0\
\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\x10\0\0\0\xc2\x0c\0\0\x02\0\0\0\x16\0\0\0\xd7\
\x08\0\0\0\0\0\0\x19\0\0\0\xdc\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\0\xe2\x0e\0\
\0\0\0\0\0\x18\0\0\0\x01\0\0\0\xe7\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\0\xf0\x04\
\0\0\x01\0\0\0\x08\0\0\x01\0\0\0\0\x1d\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x2d\0\0\
\x01\x06\x0e\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x1c\0\0\x01\x12\
\x0e\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\x01\x1c\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\
\x01\x21\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x01\x25\x01\0\0\0\0\0\0\x08\x01\0\0\
\x40\0\0\x01\x2a\x0e\0\0\0\0\0\0\x23\0\0\0\x01\0\0\x01\x34\x0e\0\0\0\0\0\0\x02\
\0\0\0\x01\0\0\x01\x3d\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x26\0\0\0\x04\0\0\0\x04\0\0\x01\x42\x0e\0\0\0\0\0\0\x27\0\0\0\x01\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x04\0\0\x02\0\0\0\x01\x4b\x0e\0\0\0\0\0\
\0\x29\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\x02\0\0\0\x01\
\x5e\x0e\0\0\0\0\0\0\x2b\0\0\0\0\0\0\x01\x73\x07\0\0\0\0\0\0\0\0\0\x07\xd7\x0f\
\0\0\x05\0\0\0\x1c\0\0\0\x1a\0\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\x08\0\0\0\x08\0\
\0\0\x21\0\0\0\x10\0\0\0\x04\0\0\0\x22\0\0\0\x14\0\0\0\x04\0\0\0\x25\0\0\0\x18\
\0\0\0\x04\0\0\x07\xdc\x0f\0\0\x05\0\0\x18\x18\0\0\0\x1b\0\0\0\0\0\0\0\x04\0\0\
\0\x1e\0\0\0\x08\0\0\0\x08\0\0\0\x24\0\0\0\x10\0\0\0\x08\0\0\0\x2a\0\0\0\x18\0\
\0\x10\0\0\0\0\x2c\0\0\x10\x18\0\0\x08\0\0\0\x07\xea\x0f\0\0\x01\0\0\0\x04\0\0\
\0\x28\0\0\0\0\0\0\0\x04\0\0\x07\xf2\x0f\0\0\x01\0\0\0\x20\0\0\0\x0b\0\0\0\0\0\
\0\0\x20\0\0\x07\xf8\x0f\0\0\x02\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\x17\0\
\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x6e\x69\x71\x75\x65\x5f\x76\x61\x6c\
\x75\x65\x5f\x5f\x43\x4f\x55\x4e\x54\x45\x52\x5f\x5f\0\x74\x79\x70\x65\0\x6d\
\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\
\0\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x61\x72\x65\x6e\x61\0\x63\x74\x78\0\
\x61\x72\x65\x6e\x61\x5f\x6c\x69\x73\x74\x5f\x61\x64\x64\0\x5f\x5f\x75\x33\x32\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\
\x66\x5f\x61\x72\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\0\
\x61\x72\x65\x6e\x61\x5f\x6c\x69\x73\x74\x5f\x64\x65\x6c\0\x62\x70\x66\x5f\x61\
\x72\x65\x6e\x61\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\x65\x73\0\x62\x6f\x6f\x6c\
\0\x5f\x42\x6f\x6f\x6c\0\x73\x6b\x69\x70\0\x74\x65\x73\x74\x5f\x76\x61\x6c\0\
\x61\x72\x65\x6e\x61\x5f\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x66\x69\x72\x73\
\x74\0\x67\x6c\x6f\x62\x61\x6c\x5f\x68\x65\x61\x64\0\x6c\x69\x73\x74\x5f\x68\
\x65\x61\x64\0\x7a\x65\x72\x6f\0\x63\x6e\x74\0\x6c\x6f\x6e\x67\0\x61\x72\x65\
\x6e\x61\x5f\x73\x75\x6d\0\x6c\x69\x73\x74\x5f\x73\x75\x6d\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x61\x67\x65\x5f\x66\x72\x61\x67\x5f\x63\
\x75\x72\x5f\x70\x61\x67\x65\0\x70\x61\x67\x65\x5f\x66\x72\x61\x67\x5f\x63\x75\
\x72\x5f\x6f\x66\x66\x73\x65\x74\0\x61\x72\x65\x6e\x61\x5f\x6c\x69\x73\x74\x5f\
\x6e\x6f\x64\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x36\x35\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x61\x72\x65\x6e\x61\
\x5f\x6c\x69\x73\x74\x2e\x63\0\x09\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\x20\x3d\
\x20\x26\x67\x6c\x6f\x62\x61\x6c\x5f\x68\x65\x61\x64\x3b\0\x09\x66\x6f\x72\x20\
\x28\x69\x20\x3d\x20\x7a\x65\x72\x6f\x3b\x20\x69\x20\x3c\x20\x63\x6e\x74\x20\
\x26\x26\x20\x63\x61\x6e\x5f\x6c\x6f\x6f\x70\x3b\x20\x69\x2b\x2b\x29\x20\x7b\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x36\x35\
\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\
\x36\x35\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x6c\x69\x73\x74\x2e\
\x68\0\x09\x57\x52\x49\x54\x45\x5f\x4f\x4e\x43\x45\x28\x68\x2d\x3e\x66\x69\x72\
\x73\x74\x2c\x20\x6e\x29\x3b\0\x09\x57\x52\x49\x54\x45\x5f\x4f\x4e\x43\x45\x28\
\x6e\x2d\x3e\x70\x70\x72\x65\x76\x2c\x20\x74\x6d\x70\x29\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x30\x3b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\
\x5f\x61\x6c\x6c\x6f\x63\x2e\x68\0\x09\x5f\x5f\x75\x33\x32\x20\x63\x70\x75\x20\
\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\
\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x09\x76\x6f\x69\x64\x20\x5f\x5f\x61\
\x72\x65\x6e\x61\x20\x2a\x70\x61\x67\x65\x20\x3d\x20\x70\x61\x67\x65\x5f\x66\
\x72\x61\x67\x5f\x63\x75\x72\x5f\x70\x61\x67\x65\x5b\x63\x70\x75\x5d\x3b\0\x09\
\x69\x6e\x74\x20\x5f\x5f\x61\x72\x65\x6e\x61\x20\x2a\x63\x75\x72\x5f\x6f\x66\
\x66\x73\x65\x74\x20\x3d\x20\x26\x70\x61\x67\x65\x5f\x66\x72\x61\x67\x5f\x63\
\x75\x72\x5f\x6f\x66\x66\x73\x65\x74\x5b\x63\x70\x75\x5d\x3b\0\x09\x69\x66\x20\
\x28\x21\x70\x61\x67\x65\x29\x20\x7b\0\x09\x09\x70\x61\x67\x65\x20\x3d\x20\x62\
\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\
\x73\x28\x26\x61\x72\x65\x6e\x61\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x31\x2c\x20\
\x4e\x55\x4d\x41\x5f\x4e\x4f\x5f\x4e\x4f\x44\x45\x2c\x20\x30\x29\x3b\0\x09\x09\
\x69\x66\x20\x28\x21\x70\x61\x67\x65\x29\0\x09\x09\x70\x61\x67\x65\x5f\x66\x72\
\x61\x67\x5f\x63\x75\x72\x5f\x70\x61\x67\x65\x5b\x63\x70\x75\x5d\x20\x3d\x20\
\x70\x61\x67\x65\x3b\0\x09\x09\x2a\x6f\x62\x6a\x5f\x63\x6e\x74\x20\x3d\x20\x30\
\x3b\0\x09\x09\x6f\x62\x6a\x5f\x63\x6e\x74\x20\x3d\x20\x70\x61\x67\x65\x20\x2b\
\x20\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\x20\x2d\x20\x38\x3b\0\x09\x69\x66\x20\
\x28\x6f\x66\x66\x73\x65\x74\x20\x3c\x20\x30\x29\0\x09\x6f\x66\x66\x73\x65\x74\
\x20\x3d\x20\x2a\x63\x75\x72\x5f\x6f\x66\x66\x73\x65\x74\x20\x2d\x20\x73\x69\
\x7a\x65\x3b\0\x09\x28\x2a\x6f\x62\x6a\x5f\x63\x6e\x74\x29\x2b\x2b\x3b\0\x09\
\x2a\x63\x75\x72\x5f\x6f\x66\x66\x73\x65\x74\x20\x3d\x20\x6f\x66\x66\x73\x65\
\x74\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x70\x61\x67\x65\x20\x2b\x20\x6f\x66\
\x66\x73\x65\x74\x3b\0\x09\x09\x74\x65\x73\x74\x5f\x76\x61\x6c\x2b\x2b\x3b\0\
\x09\x09\x6e\x2d\x3e\x76\x61\x6c\x75\x65\x20\x3d\x20\x69\x3b\0\x09\x09\x61\x72\
\x65\x6e\x61\x5f\x73\x75\x6d\x20\x2b\x3d\x20\x69\x3b\0\x09\x09\x6c\x69\x73\x74\
\x5f\x61\x64\x64\x5f\x68\x65\x61\x64\x28\x26\x6e\x2d\x3e\x6e\x6f\x64\x65\x2c\
\x20\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\x29\x3b\0\x09\x61\x72\x65\x6e\x61\x5f\
\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\x5f\x74\x20\x2a\x66\x69\x72\x73\x74\x20\
\x3d\x20\x68\x2d\x3e\x66\x69\x72\x73\x74\x2c\x20\x2a\x20\x5f\x5f\x61\x72\x65\
\x6e\x61\x20\x2a\x74\x6d\x70\x3b\0\x09\x57\x52\x49\x54\x45\x5f\x4f\x4e\x43\x45\
\x28\x6e\x2d\x3e\x6e\x65\x78\x74\x2c\x20\x66\x69\x72\x73\x74\x29\x3b\0\x09\x69\
\x66\x20\x28\x66\x69\x72\x73\x74\x29\x20\x7b\0\x09\x09\x57\x52\x49\x54\x45\x5f\
\x4f\x4e\x43\x45\x28\x66\x69\x72\x73\x74\x2d\x3e\x70\x70\x72\x65\x76\x2c\x20\
\x74\x6d\x70\x29\x3b\0\x09\x61\x72\x65\x6e\x61\x5f\x73\x75\x6d\x20\x3d\x20\x30\
\x3b\0\x09\x6c\x69\x73\x74\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x65\x6e\x74\
\x72\x79\x28\x6e\x2c\x20\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\x2c\x20\x6e\x6f\
\x64\x65\x29\x20\x7b\0\x09\x09\x73\x75\x6d\x20\x2b\x3d\x20\x6e\x2d\x3e\x76\x61\
\x6c\x75\x65\x3b\0\x09\x09\x61\x72\x65\x6e\x61\x5f\x73\x75\x6d\x20\x2b\x3d\x20\
\x6e\x2d\x3e\x76\x61\x6c\x75\x65\x3b\0\x09\x61\x72\x65\x6e\x61\x5f\x6c\x69\x73\
\x74\x5f\x6e\x6f\x64\x65\x5f\x74\x20\x2a\x6e\x65\x78\x74\x20\x3d\x20\x6e\x2d\
\x3e\x6e\x65\x78\x74\x2c\x20\x2a\x74\x6d\x70\x3b\0\x09\x61\x72\x65\x6e\x61\x5f\
\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\x5f\x74\x20\x2a\x20\x5f\x5f\x61\x72\x65\
\x6e\x61\x20\x2a\x70\x70\x72\x65\x76\x20\x3d\x20\x6e\x2d\x3e\x70\x70\x72\x65\
\x76\x3b\0\x09\x57\x52\x49\x54\x45\x5f\x4f\x4e\x43\x45\x28\x74\x6d\x70\x2c\x20\
\x6e\x65\x78\x74\x29\x3b\0\x09\x69\x66\x20\x28\x6e\x65\x78\x74\x29\x20\x7b\0\
\x09\x09\x57\x52\x49\x54\x45\x5f\x4f\x4e\x43\x45\x28\x6e\x65\x78\x74\x2d\x3e\
\x70\x70\x72\x65\x76\x2c\x20\x70\x70\x72\x65\x76\x29\x3b\0\x09\x6e\x2d\x3e\x70\
\x70\x72\x65\x76\x20\x3d\x20\x4c\x49\x53\x54\x5f\x50\x4f\x49\x53\x4f\x4e\x32\
\x3b\0\x09\x6e\x2d\x3e\x6e\x65\x78\x74\x20\x3d\x20\x4c\x49\x53\x54\x5f\x50\x4f\
\x49\x53\x4f\x4e\x31\x3b\0\x09\x61\x64\x64\x72\x20\x3d\x20\x28\x76\x6f\x69\x64\
\x20\x5f\x5f\x61\x72\x65\x6e\x61\x20\x2a\x29\x28\x28\x28\x6c\x6f\x6e\x67\x29\
\x61\x64\x64\x72\x29\x20\x26\x20\x7e\x28\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\
\x20\x2d\x20\x31\x29\x29\x3b\0\x09\x6f\x62\x6a\x5f\x63\x6e\x74\x20\x3d\x20\x61\
\x64\x64\x72\x20\x2b\x20\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\x20\x2d\x20\x38\
\x3b\0\x09\x69\x66\x20\x28\x2d\x2d\x28\x2a\x6f\x62\x6a\x5f\x63\x6e\x74\x29\x20\
\x3d\x3d\x20\x30\x29\0\x09\x09\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x66\x72\
\x65\x65\x5f\x70\x61\x67\x65\x73\x28\x26\x61\x72\x65\x6e\x61\x2c\x20\x61\x64\
\x64\x72\x2c\x20\x31\x29\x3b\0\x09\x6c\x69\x73\x74\x5f\x73\x75\x6d\x20\x3d\x20\
\x73\x75\x6d\x3b\0\x2e\x62\x73\x73\0\x2e\x61\x64\x64\x72\x5f\x73\x70\x61\x63\
\x65\x2e\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x6b\x73\
\x79\x6d\x73\0\x73\x79\x73\x63\x61\x6c\x6c\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\
\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\x03\xcc\0\0\x03\xe8\0\0\0\0\0\0\0\x08\0\0\x07\
\xff\0\0\0\x02\0\0\0\0\0\0\0\x0e\0\0\x03\x78\0\0\0\x15\0\0\0\x10\0\0\x07\xff\0\
\0\0\x3c\0\0\0\0\0\0\x01\x83\0\0\x01\xf9\0\0\xcc\x0c\0\0\0\x28\0\0\x01\x83\0\0\
\x02\x14\0\0\xd4\x0b\0\0\0\x40\0\0\x01\x83\0\0\x02\x14\0\0\xd4\x15\0\0\0\x58\0\
\0\x01\x83\0\0\x02\x14\0\0\xd4\x19\0\0\0\x60\0\0\x01\x83\0\0\x02\x14\0\0\xd4\
\x0b\0\0\0\xf8\0\0\x02\x40\0\0\x02\xb4\0\0\xe4\x02\0\0\x01\0\0\0\x02\x40\0\0\
\x02\xce\0\0\xf8\x02\0\0\x01\x08\0\0\x01\x83\0\0\x02\x14\0\0\xd4\x27\0\0\x01\
\x10\0\0\x01\x83\0\0\x02\x14\0\0\xd4\x15\0\0\x01\x38\0\0\x01\x83\0\0\x02\x14\0\
\0\xd4\x19\0\0\x01\x40\0\0\x01\x83\0\0\x02\xea\0\x01\0\x02\0\0\x01\x50\0\0\x01\
\x83\0\0\x02\x14\0\0\xd4\x1c\0\0\x01\x58\0\0\x02\xf5\0\0\x03\x6a\0\0\x5c\x0e\0\
\0\x01\x60\0\0\x02\xf5\0\0\x03\x93\0\0\x60\x17\0\0\x01\x70\0\0\x02\xf5\0\0\x03\
\xc2\0\0\x64\x1d\0\0\x01\x90\0\0\x02\xf5\0\0\x03\x93\0\0\x60\x17\0\0\x01\xb0\0\
\0\x02\xf5\0\0\x03\xf9\0\0\x7c\x06\0\0\x01\xc0\0\0\x02\xf5\0\0\x04\x07\0\0\x84\
\x0a\0\0\x02\0\0\0\x02\xf5\0\0\x04\x49\0\0\x88\x07\0\0\x02\x10\0\0\x02\xf5\0\0\
\x04\x56\0\0\x94\x1b\0\0\x02\x20\0\0\x02\xf5\0\0\x04\x78\0\0\xa0\x0c\0\0\x02\
\x30\0\0\x02\xf5\0\0\x04\x88\0\0\x9c\x1e\0\0\x02\x48\0\0\x02\xf5\0\0\x04\xaa\0\
\0\xbc\x06\0\0\x02\x50\0\0\x02\xf5\0\0\x04\xbb\0\0\xb8\x0b\0\0\x02\x58\0\0\x02\
\xf5\0\0\x04\xbb\0\0\xb8\x17\0\0\x02\x80\0\0\x02\xf5\0\0\x04\xaa\0\0\xbc\x06\0\
\0\x02\x90\0\0\x02\xf5\0\0\x04\xd9\0\0\xc8\x0c\0\0\x02\x98\0\0\x02\xf5\0\0\x04\
\x88\0\0\xac\x1e\0\0\x02\xa8\0\0\x02\xf5\0\0\x04\xd9\0\0\xc8\x0c\0\0\x02\xc0\0\
\0\x02\xf5\0\0\x04\xe8\0\0\xcc\x0e\0\0\x02\xc8\0\0\x02\xf5\0\0\x04\xff\0\0\xd0\
\x0e\0\0\x02\xd8\0\0\x01\x83\0\0\x05\x16\0\0\xe0\x0b\0\0\x02\xf8\0\0\x01\x83\0\
\0\x05\x24\0\0\xe4\x0c\0\0\x03\x08\0\0\x01\x83\0\0\x05\x34\0\0\xe8\x0d\0\0\x03\
\x28\0\0\x01\x83\0\0\x05\x46\0\0\xec\x1b\0\0\x03\x40\0\0\x02\x40\0\0\x05\x6c\0\
\0\xb4\x20\0\0\x03\x50\0\0\x02\x40\0\0\x05\xa2\0\0\xc4\x02\0\0\x03\x58\0\0\x02\
\x40\0\0\x05\xbf\0\0\xcc\x06\0\0\x03\x68\0\0\x02\x40\0\0\x05\xcd\0\0\xd8\x03\0\
\0\x03\x78\0\0\x01\x83\0\0\x05\xee\0\x01\x28\x0c\0\0\x03\xa0\0\0\x01\x83\0\0\
\x05\xfe\0\x01\x2c\x02\0\0\x03\xc8\0\0\x01\x83\0\0\x05\xfe\0\x01\x2c\x02\0\0\
\x04\0\0\0\x01\x83\0\0\x05\xfe\0\x01\x2c\x02\0\0\x04\x08\0\0\x01\x83\0\0\x05\
\xfe\0\x01\x2c\x02\0\0\x04\x18\0\0\x01\x83\0\0\x06\x29\0\x01\x30\x0d\0\0\x04\
\x20\0\0\x01\x83\0\0\x06\x3c\0\x01\x34\x0d\0\0\x04\x38\0\0\x02\x40\0\0\x06\x55\
\0\x01\x0c\x1f\0\0\x04\x40\0\0\x02\x40\0\0\x06\x7f\0\x01\x10\x2a\0\0\x04\x48\0\
\0\x02\x40\0\0\x06\xaf\0\x01\x28\x02\0\0\x04\x50\0\0\x02\x40\0\0\x06\xc7\0\x01\
\x2c\x06\0\0\x04\x60\0\0\x02\x40\0\0\x06\xd4\0\x01\x38\x03\0\0\x04\x68\0\0\x02\
\x40\0\0\x06\xf6\0\x01\x6c\x0b\0\0\x04\x70\0\0\x02\x40\0\0\x07\x10\0\x01\x68\
\x0a\0\0\x04\x78\0\0\x02\xf5\0\0\x07\x29\0\0\xec\x27\0\0\x04\x80\0\0\x02\xf5\0\
\0\x07\x64\0\0\xf0\x1d\0\0\x04\x88\0\0\x02\xf5\0\0\x07\x85\0\0\xf4\x06\0\0\x04\
\xa0\0\0\x02\xf5\0\0\x07\x85\0\0\xf4\x06\0\0\x04\xa8\0\0\x02\xf5\0\0\x07\x9d\0\
\0\xf8\x03\0\0\x04\xe0\0\0\x01\x83\0\0\x07\xc6\0\x01\x44\x0b\0\0\x04\xf8\0\0\
\x01\x83\0\0\x02\xea\0\x01\x54\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\
\x02\x10\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x80\0\0\0\0\0\0\x05\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x08\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x88\0\0\0\0\0\0\0\x1c\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\x88\0\0\0\0\0\0\x18\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x20\xa0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x34\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\xa8\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\x01\x16\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\xc8\0\0\
\0\0\0\0\x01\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x01\x22\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\xd8\0\0\0\0\
\0\0\x0c\x43\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x27\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\x20\0\0\0\0\0\0\x04\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct arena_list *arena_list::open(const struct bpf_object_open_opts *opts) { return arena_list__open_opts(opts); }
struct arena_list *arena_list::open_and_load() { return arena_list__open_and_load(); }
int arena_list::load(struct arena_list *skel) { return arena_list__load(skel); }
int arena_list::attach(struct arena_list *skel) { return arena_list__attach(skel); }
void arena_list::detach(struct arena_list *skel) { arena_list__detach(skel); }
void arena_list::destroy(struct arena_list *skel) { arena_list__destroy(skel); }
const void *arena_list::elf_bytes(size_t *sz) { return arena_list__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
arena_list__assert(struct arena_list *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->arena->test_val) == 4, "unexpected size of 'test_val'");
	_Static_assert(sizeof(s->arena->global_head) == 8, "unexpected size of 'global_head'");
	_Static_assert(sizeof(s->arena->arena_sum) == 8, "unexpected size of 'arena_sum'");
	_Static_assert(sizeof(s->bss->skip) == 1, "unexpected size of 'skip'");
	_Static_assert(sizeof(s->bss->list_head) == 8, "unexpected size of 'list_head'");
	_Static_assert(sizeof(s->bss->zero) == 4, "unexpected size of 'zero'");
	_Static_assert(sizeof(s->bss->cnt) == 4, "unexpected size of 'cnt'");
	_Static_assert(sizeof(s->bss->list_sum) == 4, "unexpected size of 'list_sum'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __ARENA_LIST_SKEL_H__ */
