/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_GLOBAL_MAP_RESIZE_SKEL_H__
#define __TEST_GLOBAL_MAP_RESIZE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_global_map_resize {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata;
		struct bpf_map *data_percpu_arr;
		struct bpf_map *data_custom;
		struct bpf_map *data_non_array;
		struct bpf_map *data_array_not_last;
		struct bpf_map *st_ops_resize;
	} maps;
	struct {
		struct test_global_map_resize__st_ops_resize__bpf_testmod_ops {
			struct bpf_program *test_1;
		} *st_ops_resize;
	} struct_ops;
	struct {
		struct bpf_program *bss_array_sum;
		struct bpf_program *data_array_sum;
		struct bpf_program *test_1;
	} progs;
	struct {
		struct bpf_link *bss_array_sum;
		struct bpf_link *data_array_sum;
		struct bpf_link *test_1;
		struct bpf_link *st_ops_resize;
	} links;
	struct test_global_map_resize__bss {
		int sum;
		int array[1];
	} *bss;
	struct test_global_map_resize__rodata {
		pid_t pid;
		char __pad0[4];
		size_t bss_array_len;
		size_t data_array_len;
	} *rodata;
	struct test_global_map_resize__data_percpu_arr {
		int percpu_arr[1];
	} *data_percpu_arr;
	struct test_global_map_resize__data_custom {
		int my_array[1];
	} *data_custom;
	struct test_global_map_resize__data_non_array {
		int my_int;
	} *data_non_array;
	struct test_global_map_resize__data_array_not_last {
		int my_array_first[1];
		int my_int_last;
	} *data_array_not_last;

#ifdef __cplusplus
	static inline struct test_global_map_resize *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_global_map_resize *open_and_load();
	static inline int load(struct test_global_map_resize *skel);
	static inline int attach(struct test_global_map_resize *skel);
	static inline void detach(struct test_global_map_resize *skel);
	static inline void destroy(struct test_global_map_resize *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_global_map_resize__destroy(struct test_global_map_resize *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_global_map_resize__create_skeleton(struct test_global_map_resize *obj);

static inline struct test_global_map_resize *
test_global_map_resize__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_global_map_resize *obj;
	int err;

	obj = (struct test_global_map_resize *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_global_map_resize__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	obj->struct_ops.st_ops_resize = (__typeof__(obj->struct_ops.st_ops_resize))
		bpf_map__initial_value(obj->maps.st_ops_resize, NULL);

	return obj;
err_out:
	test_global_map_resize__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_global_map_resize *
test_global_map_resize__open(void)
{
	return test_global_map_resize__open_opts(NULL);
}

static inline int
test_global_map_resize__load(struct test_global_map_resize *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_global_map_resize *
test_global_map_resize__open_and_load(void)
{
	struct test_global_map_resize *obj;
	int err;

	obj = test_global_map_resize__open();
	if (!obj)
		return NULL;
	err = test_global_map_resize__load(obj);
	if (err) {
		test_global_map_resize__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_global_map_resize__attach(struct test_global_map_resize *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_global_map_resize__detach(struct test_global_map_resize *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_global_map_resize__elf_bytes(size_t *sz);

static inline int
test_global_map_resize__create_skeleton(struct test_global_map_resize *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_global_map_resize";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 7;
	s->map_skel_sz = 32;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 32 ? sizeof(*s->maps) : 32);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_glo.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "test_glo.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = ".data.percpu_arr";
	map->map = &obj->maps.data_percpu_arr;
	map->mmaped = (void **)&obj->data_percpu_arr;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = ".data.custom";
	map->map = &obj->maps.data_custom;
	map->mmaped = (void **)&obj->data_custom;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 4 * s->map_skel_sz);
	map->name = ".data.non_array";
	map->map = &obj->maps.data_non_array;
	map->mmaped = (void **)&obj->data_non_array;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 5 * s->map_skel_sz);
	map->name = ".data.array_not_last";
	map->map = &obj->maps.data_array_not_last;
	map->mmaped = (void **)&obj->data_array_not_last;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 6 * s->map_skel_sz);
	map->name = "st_ops_resize";
	map->map = &obj->maps.st_ops_resize;
	map->link = &obj->links.st_ops_resize;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bss_array_sum";
	s->progs[0].prog = &obj->progs.bss_array_sum;
	s->progs[0].link = &obj->links.bss_array_sum;

	s->progs[1].name = "data_array_sum";
	s->progs[1].prog = &obj->progs.data_array_sum;
	s->progs[1].link = &obj->links.data_array_sum;

	s->progs[2].name = "test_1";
	s->progs[2].prog = &obj->progs.test_1;
	s->progs[2].link = &obj->links.test_1;

	s->data = test_global_map_resize__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_global_map_resize__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x98\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x13\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x70\x2f\
\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\
\x67\x65\x74\x70\x69\x64\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x75\x69\x64\0\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x31\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x64\x61\x74\x61\x2e\
\x70\x65\x72\x63\x70\x75\x5f\x61\x72\x72\0\x2e\x64\x61\x74\x61\x2e\x63\x75\x73\
\x74\x6f\x6d\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\
\0\x2e\x64\x61\x74\x61\x2e\x6e\x6f\x6e\x5f\x61\x72\x72\x61\x79\0\x2e\x64\x61\
\x74\x61\x2e\x61\x72\x72\x61\x79\x5f\x6e\x6f\x74\x5f\x6c\x61\x73\x74\0\x74\x65\
\x73\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x6d\x61\x70\x5f\x72\x65\x73\x69\x7a\
\x65\x2e\x63\0\x62\x73\x73\x5f\x61\x72\x72\x61\x79\x5f\x73\x75\x6d\0\x70\x69\
\x64\0\x70\x65\x72\x63\x70\x75\x5f\x61\x72\x72\0\x73\x75\x6d\0\x62\x73\x73\x5f\
\x61\x72\x72\x61\x79\x5f\x6c\x65\x6e\0\x61\x72\x72\x61\x79\0\x64\x61\x74\x61\
\x5f\x61\x72\x72\x61\x79\x5f\x73\x75\x6d\0\x64\x61\x74\x61\x5f\x61\x72\x72\x61\
\x79\x5f\x6c\x65\x6e\0\x6d\x79\x5f\x61\x72\x72\x61\x79\0\x74\x65\x73\x74\x5f\
\x31\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x74\x5f\x6f\x70\x73\x5f\x72\x65\
\x73\x69\x7a\x65\0\x6d\x79\x5f\x69\x6e\x74\0\x6d\x79\x5f\x61\x72\x72\x61\x79\
\x5f\x66\x69\x72\x73\x74\0\x6d\x79\x5f\x69\x6e\x74\x5f\x6c\x61\x73\x74\0\x2e\
\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x69\x64\0\x2e\x72\x65\x6c\x74\x70\x2f\
\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\
\x67\x65\x74\x75\x69\x64\0\x2e\x72\x65\x6c\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\
\x70\x73\x2e\x6c\x69\x6e\x6b\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc6\x04\0\xff\xf1\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdf\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\x28\0\0\0\xed\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xf1\
\x11\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xfc\x11\0\0\x07\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\0\x11\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x08\0\0\x01\x0e\x11\0\0\x07\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\x01\x14\
\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x28\0\0\x01\x23\x11\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\x01\x32\x11\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\x01\x3b\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\x01\
\x42\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\x4b\x11\0\0\x0b\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\x01\x59\x11\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\x01\x60\x11\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\
\x6f\x11\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x61\0\0\0\0\0\0\x67\x60\0\0\0\0\0\x20\xc7\x60\0\0\0\0\0\x20\x85\
\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x5d\x06\0\x1b\0\0\0\0\x85\0\0\0\0\0\0\x08\
\x67\0\0\0\0\0\0\x20\x77\0\0\0\0\0\0\x20\x67\0\0\0\0\0\0\x02\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\
\x32\0\0\0\0\0\0\x15\x30\0\x0c\0\0\0\0\xb7\x30\0\0\0\0\0\0\x18\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x54\0\0\0\0\0\0\x0f\x15\0\0\0\0\0\0\x07\x40\0\0\0\0\0\x04\
\x07\x30\0\0\0\0\0\x01\x79\x52\0\0\0\0\0\0\xad\x35\xff\xfa\0\0\0\0\x18\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x61\0\0\0\0\0\0\x67\x60\0\0\0\0\0\
\x20\xc7\x60\0\0\0\0\0\x20\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x5d\x06\0\
\x1b\0\0\0\0\x85\0\0\0\0\0\0\x08\x67\0\0\0\0\0\0\x20\x77\0\0\0\0\0\0\x20\x67\0\
\0\0\0\0\0\x02\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x61\x11\
\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\x18\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x32\0\0\0\0\0\0\x15\x30\0\x0c\0\0\0\0\xb7\x30\0\
\0\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x54\0\0\0\0\0\0\x0f\x15\0\0\
\0\0\0\0\x07\x40\0\0\0\0\0\x04\x07\x30\0\0\0\0\0\x01\x79\x52\0\0\0\0\0\0\xad\
\x35\xff\xfa\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\
\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\x80\0\0\0\x08\0\
\0\0\x01\0\0\0\0\0\0\0\x98\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\x0a\0\0\
\0\x01\0\0\0\0\0\0\x01\0\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\x01\0\0\0\0\0\0\0\x60\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\x80\0\0\0\x08\0\0\0\
\x01\0\0\0\0\0\0\0\x98\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\x0d\0\0\0\
\x01\0\0\0\0\0\0\x01\0\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x02\
\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x03\x24\0\0\x03\x24\0\0\x03\x4a\0\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\
\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x02\0\0\0\x17\x0c\
\0\0\x01\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x07\0\0\0\x26\x01\0\0\0\0\0\0\x08\0\
\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x01\0\0\0\x06\0\0\0\x39\x0c\0\0\
\x01\0\0\0\x08\0\0\0\x40\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x04\0\0\0\x45\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\
\0\x59\x0e\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\x62\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\
\0\0\0\x0a\0\0\0\0\0\0\x10\0\0\0\0\x09\0\0\0\0\0\0\x11\0\0\0\x66\x08\0\0\0\0\0\
\0\x12\0\0\0\x6c\x08\0\0\0\0\0\0\x03\0\0\0\x7b\x0e\0\0\0\0\0\0\x0f\0\0\0\x01\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x01\0\0\0\x7f\x0e\0\0\0\0\0\
\0\x14\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x17\0\0\0\0\x09\0\0\0\0\0\0\x18\0\0\0\
\x8a\x08\0\0\0\0\0\0\x19\0\0\0\x91\x08\0\0\0\0\0\0\x1a\0\0\0\xa1\x01\0\0\0\0\0\
\0\x08\0\0\0\x40\0\0\0\xaf\x0e\0\0\0\0\0\0\x16\0\0\0\x01\0\0\0\xbd\x0e\0\0\0\0\
\0\0\x14\0\0\0\x01\0\0\0\xc3\x0e\0\0\0\0\0\0\x16\0\0\0\x01\0\0\0\xd2\x0e\0\0\0\
\0\0\0\x14\0\0\0\x01\0\0\0\xdb\x04\0\0\x01\0\0\0\x08\0\0\0\x39\0\0\0\x20\0\0\0\
\0\0\0\0\0\x02\0\0\0\0\0\0\x21\0\0\0\0\x0d\0\0\0\0\0\0\x03\0\0\0\xeb\x0e\0\0\0\
\0\0\0\x1f\0\0\0\x01\0\0\0\xf9\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x01\0\x0e\0\0\
\0\0\0\0\x14\0\0\0\x01\0\0\x01\x0f\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x02\x95\
\x0f\0\0\x01\0\0\0\x04\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\x02\x9d\x0f\0\0\x02\0\0\
\0\x08\0\0\0\x0e\0\0\0\0\0\0\0\x04\0\0\0\x1c\0\0\0\x04\0\0\0\x04\0\0\x02\xa2\
\x0f\0\0\x03\0\0\0\x18\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\x1b\0\0\0\x08\0\0\0\
\x08\0\0\0\x1d\0\0\0\x10\0\0\0\x08\0\0\x02\xaa\x0f\0\0\x01\0\0\0\x04\0\0\0\x15\
\0\0\0\0\0\0\0\x04\0\0\x02\xbb\x0f\0\0\x01\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\
\x04\0\0\x02\xc8\x0f\0\0\x01\0\0\0\x08\0\0\0\x22\0\0\0\0\0\0\0\x08\0\0\x02\xd9\
\x0f\0\0\x01\0\0\0\x04\0\0\0\x23\0\0\0\0\0\0\0\x04\0\0\x02\xe9\x0f\0\0\x02\0\0\
\0\x08\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\0\x25\0\0\0\x04\0\0\0\x04\0\x63\x74\x78\
\0\x69\x6e\x74\0\x62\x73\x73\x5f\x61\x72\x72\x61\x79\x5f\x73\x75\x6d\0\x64\x61\
\x74\x61\x5f\x61\x72\x72\x61\x79\x5f\x73\x75\x6d\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x65\x73\x74\x5f\x31\0\x63\
\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x75\x6d\0\x70\x69\x64\x5f\
\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x70\x69\x64\x5f\x74\0\x70\x69\x64\0\
\x70\x65\x72\x63\x70\x75\x5f\x61\x72\x72\0\x73\x69\x7a\x65\x5f\x74\0\x5f\x5f\
\x6b\x65\x72\x6e\x65\x6c\x5f\x73\x69\x7a\x65\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\0\x62\x73\x73\x5f\x61\x72\x72\x61\x79\x5f\x6c\x65\
\x6e\0\x61\x72\x72\x61\x79\0\x64\x61\x74\x61\x5f\x61\x72\x72\x61\x79\x5f\x6c\
\x65\x6e\0\x6d\x79\x5f\x61\x72\x72\x61\x79\0\x62\x70\x66\x5f\x74\x65\x73\x74\
\x6d\x6f\x64\x5f\x6f\x70\x73\0\x73\x74\x5f\x6f\x70\x73\x5f\x72\x65\x73\x69\x7a\
\x65\0\x6d\x79\x5f\x69\x6e\x74\0\x6d\x79\x5f\x61\x72\x72\x61\x79\x5f\x66\x69\
\x72\x73\x74\0\x6d\x79\x5f\x69\x6e\x74\x5f\x6c\x61\x73\x74\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x36\x35\x2e\x65\
\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x6d\
\x61\x70\x5f\x72\x65\x73\x69\x7a\x65\x2e\x63\0\x09\x69\x66\x20\x28\x70\x69\x64\
\x20\x21\x3d\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\
\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x29\
\x29\0\x09\x73\x75\x6d\x20\x3d\x20\x70\x65\x72\x63\x70\x75\x5f\x61\x72\x72\x5b\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\
\x6f\x72\x5f\x69\x64\x28\x29\x5d\x3b\0\x09\x66\x6f\x72\x20\x28\x73\x69\x7a\x65\
\x5f\x74\x20\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x62\x73\x73\x5f\x61\
\x72\x72\x61\x79\x5f\x6c\x65\x6e\x3b\x20\x2b\x2b\x69\x29\0\x09\x09\x73\x75\x6d\
\x20\x2b\x3d\x20\x61\x72\x72\x61\x79\x5b\x69\x5d\x3b\0\x7d\0\x09\x66\x6f\x72\
\x20\x28\x73\x69\x7a\x65\x5f\x74\x20\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\
\x20\x64\x61\x74\x61\x5f\x61\x72\x72\x61\x79\x5f\x6c\x65\x6e\x3b\x20\x2b\x2b\
\x69\x29\0\x09\x09\x73\x75\x6d\x20\x2b\x3d\x20\x6d\x79\x5f\x61\x72\x72\x61\x79\
\x5b\x69\x5d\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\
\x73\x74\x5f\x31\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x72\
\x6f\x64\x61\x74\x61\0\x2e\x64\x61\x74\x61\x2e\x70\x65\x72\x63\x70\x75\x5f\x61\
\x72\x72\0\x2e\x64\x61\x74\x61\x2e\x63\x75\x73\x74\x6f\x6d\0\x2e\x73\x74\x72\
\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x2e\x64\x61\x74\x61\x2e\x6e\
\x6f\x6e\x5f\x61\x72\x72\x61\x79\0\x2e\x64\x61\x74\x61\x2e\x61\x72\x72\x61\x79\
\x5f\x6e\x6f\x74\x5f\x6c\x61\x73\x74\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\
\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x69\x64\0\x74\
\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\x5f\x67\x65\x74\x75\x69\x64\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\
\x74\x65\x73\x74\x5f\x31\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x34\0\0\0\
\x34\0\0\x02\x4c\0\0\x02\x80\0\0\0\0\0\0\0\x08\0\0\x02\xfe\0\0\0\x01\0\0\0\0\0\
\0\0\x04\0\0\x03\x1b\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\x03\x38\0\0\0\x01\0\0\0\0\
\0\0\0\x09\0\0\0\x10\0\0\x02\xfe\0\0\0\x11\0\0\0\0\0\0\x01\x1b\0\0\x01\x9d\0\0\
\x98\x06\0\0\0\x28\0\0\x01\x1b\0\0\x01\x9d\0\0\x98\x0e\0\0\0\x30\0\0\x01\x1b\0\
\0\x01\x9d\0\0\x98\x29\0\0\0\x38\0\0\x01\x1b\0\0\x01\x9d\0\0\x98\x06\0\0\0\x40\
\0\0\x01\x1b\0\0\x01\xcd\0\0\xa8\x13\0\0\0\x48\0\0\x01\x1b\0\0\x01\xcd\0\0\xa8\
\x08\0\0\0\x80\0\0\x01\x1b\0\0\x01\xcd\0\0\xa8\x06\0\0\0\x98\0\0\x01\x1b\0\0\
\x01\xfc\0\0\xb0\x19\0\0\0\xb0\0\0\x01\x1b\0\0\x01\xfc\0\0\xb0\x02\0\0\0\xd0\0\
\0\x01\x1b\0\0\x02\x28\0\0\xb4\x0a\0\0\0\xd8\0\0\x01\x1b\0\0\x02\x28\0\0\xb4\
\x07\0\0\0\xe0\0\0\x01\x1b\0\0\x01\xfc\0\0\xb0\x17\0\0\0\xe8\0\0\x01\x1b\0\0\
\x01\xfc\0\0\xb0\x28\0\0\0\xf0\0\0\x01\x1b\0\0\x01\xfc\0\0\xb0\x19\0\0\0\xf8\0\
\0\x01\x1b\0\0\x01\xfc\0\0\xb0\x02\0\0\x01\0\0\0\x01\x1b\0\0\x02\x28\0\0\xb4\
\x07\0\0\x01\x18\0\0\x01\x1b\0\0\x02\x3b\0\0\xc0\x01\0\0\x03\x1b\0\0\0\x11\0\0\
\0\0\0\0\x01\x1b\0\0\x01\x9d\0\0\xd4\x06\0\0\0\x28\0\0\x01\x1b\0\0\x01\x9d\0\0\
\xd4\x0e\0\0\0\x30\0\0\x01\x1b\0\0\x01\x9d\0\0\xd4\x29\0\0\0\x38\0\0\x01\x1b\0\
\0\x01\x9d\0\0\xd4\x06\0\0\0\x40\0\0\x01\x1b\0\0\x01\xcd\0\0\xe4\x13\0\0\0\x48\
\0\0\x01\x1b\0\0\x01\xcd\0\0\xe4\x08\0\0\0\x80\0\0\x01\x1b\0\0\x01\xcd\0\0\xe4\
\x06\0\0\0\x98\0\0\x01\x1b\0\0\x02\x3d\0\0\xec\x19\0\0\0\xb0\0\0\x01\x1b\0\0\
\x02\x3d\0\0\xec\x02\0\0\0\xd0\0\0\x01\x1b\0\0\x02\x6a\0\0\xf0\x0a\0\0\0\xd8\0\
\0\x01\x1b\0\0\x02\x6a\0\0\xf0\x07\0\0\0\xe0\0\0\x01\x1b\0\0\x02\x3d\0\0\xec\
\x17\0\0\0\xe8\0\0\x01\x1b\0\0\x02\x3d\0\0\xec\x29\0\0\0\xf0\0\0\x01\x1b\0\0\
\x02\x3d\0\0\xec\x19\0\0\0\xf8\0\0\x01\x1b\0\0\x02\x3d\0\0\xec\x02\0\0\x01\0\0\
\0\x01\x1b\0\0\x02\x6a\0\0\xf0\x07\0\0\x01\x18\0\0\x01\x1b\0\0\x02\x3b\0\0\xfc\
\x01\0\0\x03\x38\0\0\0\x01\0\0\0\0\0\0\x01\x1b\0\0\x02\x80\0\x01\x08\x05\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\xe0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x02\x20\0\0\0\0\0\0\x01\xe0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x01\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\
\x28\0\0\0\0\0\0\x01\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\x4b\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x50\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x60\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x65\0\0\0\x08\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x64\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x06\x68\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x72\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x06\x80\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\x83\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\
\x84\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\x90\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x88\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xa1\0\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x90\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\xb1\0\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x94\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x01\x7b\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x06\xa0\0\0\0\0\0\0\0\x60\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x9c\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\x60\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\x01\xbd\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x07\x60\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x0b\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\x01\xd2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x07\x70\0\0\0\0\0\0\x06\x86\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\x01\xd7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\xf8\0\0\
\0\0\0\0\x02\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_global_map_resize *test_global_map_resize::open(const struct bpf_object_open_opts *opts) { return test_global_map_resize__open_opts(opts); }
struct test_global_map_resize *test_global_map_resize::open_and_load() { return test_global_map_resize__open_and_load(); }
int test_global_map_resize::load(struct test_global_map_resize *skel) { return test_global_map_resize__load(skel); }
int test_global_map_resize::attach(struct test_global_map_resize *skel) { return test_global_map_resize__attach(skel); }
void test_global_map_resize::detach(struct test_global_map_resize *skel) { test_global_map_resize__detach(skel); }
void test_global_map_resize::destroy(struct test_global_map_resize *skel) { test_global_map_resize__destroy(skel); }
const void *test_global_map_resize::elf_bytes(size_t *sz) { return test_global_map_resize__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_global_map_resize__assert(struct test_global_map_resize *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->sum) == 4, "unexpected size of 'sum'");
	_Static_assert(sizeof(s->bss->array) == 4, "unexpected size of 'array'");
	_Static_assert(sizeof(s->rodata->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->rodata->bss_array_len) == 8, "unexpected size of 'bss_array_len'");
	_Static_assert(sizeof(s->rodata->data_array_len) == 8, "unexpected size of 'data_array_len'");
	_Static_assert(sizeof(s->data_percpu_arr->percpu_arr) == 4, "unexpected size of 'percpu_arr'");
	_Static_assert(sizeof(s->data_custom->my_array) == 4, "unexpected size of 'my_array'");
	_Static_assert(sizeof(s->data_non_array->my_int) == 4, "unexpected size of 'my_int'");
	_Static_assert(sizeof(s->data_array_not_last->my_array_first) == 4, "unexpected size of 'my_array_first'");
	_Static_assert(sizeof(s->data_array_not_last->my_int_last) == 4, "unexpected size of 'my_int_last'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_GLOBAL_MAP_RESIZE_SKEL_H__ */
