/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __URETPROBE_STACK_SKEL_H__
#define __URETPROBE_STACK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct uretprobe_stack {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__bpf_usdt_specs;
		struct bpf_map *__bpf_usdt_ip_to_spec_id;
		struct bpf_map *bss;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *uprobe_1;
		struct bpf_program *uretprobe_1;
		struct bpf_program *uprobe_2;
		struct bpf_program *uprobe_3;
		struct bpf_program *uprobe_4;
		struct bpf_program *uretprobe_4;
		struct bpf_program *usdt_probe;
	} progs;
	struct {
		struct bpf_link *uprobe_1;
		struct bpf_link *uretprobe_1;
		struct bpf_link *uprobe_2;
		struct bpf_link *uprobe_3;
		struct bpf_link *uprobe_4;
		struct bpf_link *uretprobe_4;
		struct bpf_link *usdt_probe;
	} links;
	struct uretprobe_stack__bss {
		__u64 entry_stack1[32];
		__u64 exit_stack1[32];
		__u64 entry_stack1_recur[32];
		__u64 exit_stack1_recur[32];
		__u64 entry_stack2[32];
		__u64 entry_stack3[32];
		__u64 entry_stack4[32];
		__u64 exit_stack4[32];
		__u64 usdt_stack[32];
		int entry1_len;
		int exit1_len;
		int entry1_recur_len;
		int exit1_recur_len;
		int entry2_len;
		int exit2_len;
		int entry3_len;
		int exit3_len;
		int entry4_len;
		int exit4_len;
		int usdt_len;
	} *bss;
	struct uretprobe_stack__kconfig {
		const _Bool LINUX_HAS_BPF_COOKIE;
	} *kconfig;

#ifdef __cplusplus
	static inline struct uretprobe_stack *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct uretprobe_stack *open_and_load();
	static inline int load(struct uretprobe_stack *skel);
	static inline int attach(struct uretprobe_stack *skel);
	static inline void detach(struct uretprobe_stack *skel);
	static inline void destroy(struct uretprobe_stack *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
uretprobe_stack__destroy(struct uretprobe_stack *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
uretprobe_stack__create_skeleton(struct uretprobe_stack *obj);

static inline struct uretprobe_stack *
uretprobe_stack__open_opts(const struct bpf_object_open_opts *opts)
{
	struct uretprobe_stack *obj;
	int err;

	obj = (struct uretprobe_stack *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = uretprobe_stack__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	uretprobe_stack__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct uretprobe_stack *
uretprobe_stack__open(void)
{
	return uretprobe_stack__open_opts(NULL);
}

static inline int
uretprobe_stack__load(struct uretprobe_stack *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct uretprobe_stack *
uretprobe_stack__open_and_load(void)
{
	struct uretprobe_stack *obj;
	int err;

	obj = uretprobe_stack__open();
	if (!obj)
		return NULL;
	err = uretprobe_stack__load(obj);
	if (err) {
		uretprobe_stack__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
uretprobe_stack__attach(struct uretprobe_stack *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
uretprobe_stack__detach(struct uretprobe_stack *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *uretprobe_stack__elf_bytes(size_t *sz);

static inline int
uretprobe_stack__create_skeleton(struct uretprobe_stack *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "uretprobe_stack";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "__bpf_usdt_specs";
	map->map = &obj->maps.__bpf_usdt_specs;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "__bpf_usdt_ip_to_spec_id";
	map->map = &obj->maps.__bpf_usdt_ip_to_spec_id;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "uretprob.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "uretpro.kconfig";
	map->map = &obj->maps.kconfig;
	map->mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "uprobe_1";
	s->progs[0].prog = &obj->progs.uprobe_1;
	s->progs[0].link = &obj->links.uprobe_1;

	s->progs[1].name = "uretprobe_1";
	s->progs[1].prog = &obj->progs.uretprobe_1;
	s->progs[1].link = &obj->links.uretprobe_1;

	s->progs[2].name = "uprobe_2";
	s->progs[2].prog = &obj->progs.uprobe_2;
	s->progs[2].link = &obj->links.uprobe_2;

	s->progs[3].name = "uprobe_3";
	s->progs[3].prog = &obj->progs.uprobe_3;
	s->progs[3].link = &obj->links.uprobe_3;

	s->progs[4].name = "uprobe_4";
	s->progs[4].prog = &obj->progs.uprobe_4;
	s->progs[4].link = &obj->links.uprobe_4;

	s->progs[5].name = "uretprobe_4";
	s->progs[5].prog = &obj->progs.uretprobe_4;
	s->progs[5].link = &obj->links.uretprobe_4;

	s->progs[6].name = "usdt_probe";
	s->progs[6].prog = &obj->progs.usdt_probe;
	s->progs[6].link = &obj->links.usdt_probe;

	s->data = uretprobe_stack__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *uretprobe_stack__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\xa0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x18\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\
\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x31\0\x75\x72\x65\x74\x70\x72\
\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\
\x74\x61\x72\x67\x65\x74\x5f\x31\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\
\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x32\0\
\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\
\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x33\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\
\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\
\x74\x5f\x34\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\
\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x34\0\x75\x73\
\x64\x74\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x73\x74\x61\x63\x6b\x3a\x74\x61\x72\x67\
\x65\x74\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\
\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x73\x74\x61\x63\x6b\x2e\x63\0\x5f\
\x5f\x5f\x5f\x75\x70\x72\x6f\x62\x65\x5f\x31\x2e\x72\x65\x63\x75\x72\0\x5f\x5f\
\x5f\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x31\x2e\x72\x65\x63\x75\x72\0\
\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\x5f\x63\x6e\x74\0\x4c\x49\x4e\
\x55\x58\x5f\x48\x41\x53\x5f\x42\x50\x46\x5f\x43\x4f\x4f\x4b\x49\x45\0\x5f\x5f\
\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x69\x70\x5f\x74\x6f\x5f\x73\x70\x65\x63\
\x5f\x69\x64\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\x65\x63\x73\
\0\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\0\x62\x70\x66\x5f\x75\x73\
\x64\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x75\x70\x72\x6f\x62\x65\x5f\x31\0\x65\
\x6e\x74\x72\x79\x31\x5f\x72\x65\x63\x75\x72\x5f\x6c\x65\x6e\0\x65\x6e\x74\x72\
\x79\x31\x5f\x6c\x65\x6e\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x31\x5f\
\x72\x65\x63\x75\x72\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x31\0\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x31\0\x65\x78\x69\x74\x31\x5f\x6c\x65\x6e\
\0\x65\x78\x69\x74\x31\x5f\x72\x65\x63\x75\x72\x5f\x6c\x65\x6e\0\x65\x78\x69\
\x74\x5f\x73\x74\x61\x63\x6b\x31\0\x65\x78\x69\x74\x5f\x73\x74\x61\x63\x6b\x31\
\x5f\x72\x65\x63\x75\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x32\0\x65\x6e\x74\x72\
\x79\x5f\x73\x74\x61\x63\x6b\x32\0\x65\x6e\x74\x72\x79\x32\x5f\x6c\x65\x6e\0\
\x75\x70\x72\x6f\x62\x65\x5f\x33\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\
\x33\0\x65\x6e\x74\x72\x79\x33\x5f\x6c\x65\x6e\0\x75\x70\x72\x6f\x62\x65\x5f\
\x34\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x34\0\x65\x6e\x74\x72\x79\
\x34\x5f\x6c\x65\x6e\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x34\0\x65\x78\
\x69\x74\x5f\x73\x74\x61\x63\x6b\x34\0\x65\x78\x69\x74\x34\x5f\x6c\x65\x6e\0\
\x75\x73\x64\x74\x5f\x70\x72\x6f\x62\x65\0\x75\x73\x64\x74\x5f\x73\x74\x61\x63\
\x6b\0\x75\x73\x64\x74\x5f\x6c\x65\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x65\
\x78\x69\x74\x32\x5f\x6c\x65\x6e\0\x65\x78\x69\x74\x33\x5f\x6c\x65\x6e\0\x2e\
\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\
\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\
\x65\x74\x5f\x31\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\
\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\
\x74\x5f\x31\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\
\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x32\0\x2e\
\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\
\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x33\0\x2e\x72\x65\x6c\x75\
\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\
\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x34\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\
\x3a\x74\x61\x72\x67\x65\x74\x5f\x34\0\x2e\x72\x65\x6c\x75\x73\x64\x74\x2f\x2f\
\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x5f\x73\x74\x61\x63\x6b\x3a\x74\x61\x72\x67\x65\x74\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\x15\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x27\x01\0\0\x0d\0\0\0\0\0\0\x09\x2c\0\0\0\0\0\
\0\0\x01\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x3a\x01\0\
\0\x0d\0\0\0\0\0\0\x09\x2d\0\0\0\0\0\0\0\x01\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x09\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x50\x22\x02\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\x18\0\0\x01\x61\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\x76\x21\0\0\x0b\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\x01\x8f\
\x21\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\x01\xa0\x22\x02\0\x03\0\0\0\
\0\0\0\x01\x18\0\0\0\0\0\0\x03\xd8\0\0\x01\xad\x22\x02\0\x03\0\0\0\0\0\0\x04\
\xf0\0\0\0\0\0\0\x01\0\0\0\x01\xbd\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa8\0\0\x01\xc6\x11\0\0\x0d\0\0\0\0\0\0\x09\x08\0\0\0\0\0\0\0\x04\0\0\x01\xd7\
\x11\0\0\x0d\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\0\x04\0\0\x01\xe2\x11\0\0\x0d\0\0\0\
\0\0\0\x02\0\0\0\0\0\0\0\x01\0\0\0\x01\xf5\x11\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\x02\x02\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\x02\
\x0e\x11\0\0\x0d\0\0\0\0\0\0\x09\x04\0\0\0\0\0\0\0\x04\0\0\x02\x18\x11\0\0\x0d\
\0\0\0\0\0\0\x09\x0c\0\0\0\0\0\0\0\x04\0\0\x02\x28\x11\0\0\x0d\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\x01\0\0\0\x02\x34\x11\0\0\x0d\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x01\
\0\0\0\x02\x46\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\x02\x4f\x11\0\
\0\x0d\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\0\x02\x5c\x11\0\0\x0d\0\0\0\0\0\0\
\x09\x10\0\0\0\0\0\0\0\x04\0\0\x02\x67\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x50\0\0\x02\x70\x11\0\0\x0d\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x01\0\0\0\x02\x7d\
\x11\0\0\x0d\0\0\0\0\0\0\x09\x18\0\0\0\0\0\0\0\x04\0\0\x02\x88\x12\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\x02\x91\x11\0\0\x0d\0\0\0\0\0\0\x06\0\0\0\0\
\0\0\0\x01\0\0\0\x02\x9e\x11\0\0\x0d\0\0\0\0\0\0\x09\x20\0\0\0\0\0\0\0\x04\0\0\
\x02\xa9\x12\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\x02\xb5\x11\0\0\x0d\
\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\x01\0\0\0\x02\xc1\x11\0\0\x0d\0\0\0\0\0\0\x09\
\x24\0\0\0\0\0\0\0\x04\0\0\x02\xcb\x12\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x50\0\0\x02\xd6\x11\0\0\x0d\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x02\xe1\
\x11\0\0\x0d\0\0\0\0\0\0\x09\x28\0\0\0\0\0\0\0\x04\0\0\x02\xea\x11\0\0\x0c\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x02\xf3\x11\0\0\x0d\0\0\0\0\0\0\x09\x14\0\0\
\0\0\0\0\0\x04\0\0\x02\xfd\x11\0\0\x0d\0\0\0\0\0\0\x09\x1c\0\0\0\0\0\0\0\x04\
\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x55\x20\0\x0d\0\0\0\0\
\x79\x11\0\x10\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\
\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\
\x10\0\0\0\0\0\0\x18\0\0\0\xff\xff\xff\xfd\0\0\0\0\0\0\0\0\x15\x10\0\x03\0\0\0\
\0\x61\x01\0\0\0\0\0\0\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xae\x18\x60\0\0\xff\
\xff\xff\xfd\0\0\0\0\0\0\0\0\x63\xa0\xff\xf4\0\0\0\0\x67\0\0\0\0\0\0\x20\xc7\0\
\0\0\0\0\0\x20\xc5\0\0\x09\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\
\xf4\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x03\0\0\0\
\0\x69\x60\0\xc8\0\0\0\0\x67\x60\0\0\0\0\0\x30\xc7\x60\0\0\0\0\0\x30\xbf\x06\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\xbf\x82\0\0\0\0\0\0\xbf\x71\0\
\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x71\x11\0\0\0\0\0\0\x55\x10\0\x0d\0\0\0\0\x79\x17\0\x10\0\0\0\0\x7b\
\xa1\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x10\0\0\0\0\0\0\x18\0\0\0\
\xff\xff\xff\xfd\0\0\0\0\0\0\0\0\x15\x10\0\x04\0\0\0\0\x61\x01\0\0\0\0\0\0\x05\
\0\0\x02\0\0\0\0\xbf\x17\0\0\0\0\0\0\x85\0\0\0\0\0\0\xae\x18\x90\0\0\xff\xff\
\xff\xfd\0\0\0\0\0\0\0\0\x63\xa0\xff\xf4\0\0\0\0\x67\0\0\0\0\0\0\x20\xc7\0\0\0\
\0\0\0\x20\xc5\0\0\x5b\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x55\0\0\0\0\
\x18\x90\0\0\xff\xff\xff\xfe\0\0\0\0\0\0\0\0\x25\x80\0\x52\0\0\0\x0b\x69\x10\0\
\xc8\0\0\0\0\x67\x10\0\0\0\0\0\x30\xc7\x10\0\0\0\0\0\x30\x3d\x81\0\x4e\0\0\0\0\
\x67\x80\0\0\0\0\0\x04\x0f\x08\0\0\0\0\0\0\x61\x10\0\x08\0\0\0\0\x15\x10\0\x18\
\0\0\0\x02\x15\x10\0\x05\0\0\0\x01\x18\x90\0\0\xff\xff\xff\xea\0\0\0\0\0\0\0\0\
\x55\x10\0\x46\0\0\0\0\x79\x10\0\0\0\0\0\0\x05\0\0\x36\0\0\0\0\x69\x10\0\x0c\0\
\0\0\0\x67\x10\0\0\0\0\0\x30\xc7\x10\0\0\0\0\0\x30\x0f\x71\0\0\0\0\0\0\xbf\x1a\
\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\xbf\x37\0\0\0\0\
\0\0\xbf\x70\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\xbf\x90\0\0\0\0\0\0\xbf\x07\0\0\0\
\0\0\0\xbf\x19\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\x55\x10\
\0\x34\0\0\0\0\x79\x1a\xff\xf8\0\0\0\0\x05\0\0\x24\0\0\0\0\x69\x10\0\x0c\0\0\0\
\0\x67\x10\0\0\0\0\0\x30\xc7\x10\0\0\0\0\0\x30\x0f\x71\0\0\0\0\0\0\xbf\x1a\0\0\
\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\xbf\x37\0\0\0\0\0\0\
\xbf\x70\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\xbf\x90\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\
\0\xbf\x29\0\0\0\0\0\0\x67\x20\0\0\0\0\0\x20\x77\x20\0\0\0\0\0\x20\x55\x20\0\
\x22\0\0\0\0\x79\x11\0\0\0\0\0\0\x79\x3a\xff\xf8\0\0\0\0\x0f\x31\0\0\0\0\0\0\
\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\x85\0\0\
\0\0\0\0\x70\xbf\x90\0\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x67\
\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\x55\x10\0\x15\0\0\0\0\x71\x20\0\x0f\0\
\0\0\0\x67\x20\0\0\0\0\0\x38\xc7\x20\0\0\0\0\0\x38\x67\x20\0\0\0\0\0\x20\x77\
\x20\0\0\0\0\0\x20\x79\x1a\xff\xf8\0\0\0\0\x7f\x12\0\0\0\0\0\0\x71\x20\0\x0f\0\
\0\0\0\x67\x20\0\0\0\0\0\x38\xc7\x20\0\0\0\0\0\x38\x67\x20\0\0\0\0\0\x20\x77\
\x20\0\0\0\0\0\x20\x6f\x12\0\0\0\0\0\0\xbf\x31\0\0\0\0\0\0\xcf\x32\0\0\0\0\0\0\
\x71\x40\0\x0e\0\0\0\0\x55\x40\0\x02\0\0\0\0\x7f\x12\0\0\0\0\0\0\xbf\x31\0\0\0\
\0\0\0\x7b\x63\0\0\0\0\0\0\xb7\x90\0\0\0\0\0\0\xbf\x09\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x55\x20\0\x0d\0\
\0\0\0\x79\x11\0\x10\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\
\x20\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x01\xbf\x10\0\0\0\0\0\0\x18\0\0\0\xff\xff\xff\xfd\0\0\0\0\0\0\0\0\x15\x10\0\
\x03\0\0\0\0\x61\x01\0\0\0\0\0\0\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xae\xb7\
\x60\0\0\0\0\0\0\x63\xa0\xff\xf4\0\0\0\0\x67\0\0\0\0\0\0\x20\xc7\0\0\0\0\0\0\
\x20\xc5\0\0\x07\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\0\x79\
\x60\0\xc0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x60\0\0\0\0\x09\
\x2c\0\0\0\0\0\0\0\0\x71\x36\0\0\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x55\x30\0\x02\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x55\x30\0\x02\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x30\0\0\0\0\x01\0\xb7\x40\0\0\0\0\x01\0\x85\0\0\0\0\0\0\x43\x63\x70\0\0\0\0\0\
\0\xb7\x10\0\0\0\0\0\x01\x73\x61\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x60\0\0\0\0\x09\x2d\0\0\0\0\0\0\0\0\x71\x36\0\0\0\0\0\0\x18\x70\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x55\x30\0\x02\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\x30\0\x02\0\0\0\0\x18\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\x01\0\xb7\x40\0\0\0\0\x01\0\x85\0\0\0\0\0\0\
\x43\x63\x70\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x73\x61\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\
\x01\0\xb7\x40\0\0\0\0\x01\0\x85\0\0\0\0\0\0\x43\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x63\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\x01\0\xb7\x40\0\0\0\0\x01\0\x85\0\0\0\0\0\
\0\x43\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\x01\0\
\xb7\x40\0\0\0\0\x01\0\x85\0\0\0\0\0\0\x43\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x63\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\x01\0\xb7\x40\0\0\0\0\x01\0\x85\0\0\0\0\0\0\x43\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\x01\0\xb7\
\x40\0\0\0\0\x01\0\x85\0\0\0\0\0\0\x43\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\
\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\
\x01\0\0\0\0\0\0\0\x40\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\xd0\0\0\0\x10\0\0\0\
\x01\0\0\0\0\0\0\x01\x40\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\x01\x80\0\0\0\x0f\0\0\
\0\x01\0\0\0\0\0\0\x02\x18\0\0\0\x10\0\0\0\x01\0\0\0\0\0\0\x04\xf0\0\0\0\x0e\0\
\0\0\x01\0\0\0\0\0\0\x05\x30\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\x05\xb8\0\0\0\x10\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x14\0\0\
\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x16\0\0\0\
\x01\0\0\0\0\0\0\0\x58\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x01\
\0\0\0\0\0\0\0\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x1a\0\0\0\x01\0\
\0\0\0\0\0\0\x40\0\0\0\x1b\0\0\0\x01\0\0\0\0\0\0\0\x58\0\0\0\x1c\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x1f\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\x24\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x25\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\x27\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x28\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x2b\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\
\0\0\0\0\0\0\x08\xc4\0\0\x08\xc4\0\0\x0b\xdd\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\
\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\
\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\x01\0\0\0\0\0\x02\0\0\0\
\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x09\0\0\0\x19\x04\0\0\x03\0\0\0\xd0\0\0\0\
\x29\0\0\0\x12\0\0\0\0\0\0\0\x2e\0\0\0\x0b\0\0\x06\0\0\0\0\x3a\0\0\0\x0e\0\0\
\x06\x40\0\0\0\x42\x04\0\0\x05\0\0\0\x10\0\0\0\x56\0\0\0\x0b\0\0\0\0\0\0\0\x5e\
\0\0\0\x0d\0\0\0\x40\0\0\0\x67\0\0\0\x0e\0\0\0\x60\0\0\0\x6f\0\0\0\x0f\0\0\0\
\x70\0\0\0\x7a\0\0\0\x11\0\0\0\x78\0\0\0\x87\x08\0\0\0\0\0\0\x0c\0\0\0\x8d\x01\
\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\xa0\x06\0\0\x03\0\0\0\x04\0\0\0\xb4\0\0\0\0\0\
\0\0\xc7\0\0\0\x01\0\0\0\xd8\0\0\0\x02\0\0\0\xef\x01\0\0\0\0\0\0\x02\x01\0\0\
\x10\0\0\0\xf5\x08\0\0\0\0\0\0\x10\0\0\0\xfa\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\
\0\x01\0\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0a\0\
\0\0\x04\0\0\0\x0c\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\x01\x05\0\0\0\x01\0\0\0\0\
\0\0\x01\x0a\0\0\0\x05\0\0\0\x40\0\0\x01\x16\0\0\0\x07\0\0\0\x80\0\0\x01\x1a\0\
\0\0\x08\0\0\0\xc0\0\0\x01\x20\x0e\0\0\0\0\0\0\x13\0\0\0\x01\0\0\0\0\x02\0\0\0\
\0\0\0\x16\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\
\0\0\0\0\0\0\x18\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\x04\0\0\0\0\
\0\x02\0\0\0\0\0\0\x1a\0\0\x01\x31\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\0\x02\
\0\0\0\0\0\0\x1c\0\0\x01\x36\x08\0\0\0\0\0\0\x1d\0\0\x01\x3c\x01\0\0\0\0\0\0\
\x04\0\0\0\x20\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\x01\x05\0\0\0\x15\0\0\0\0\0\0\
\x01\x0a\0\0\0\x17\0\0\0\x40\0\0\x01\x16\0\0\0\x19\0\0\0\x80\0\0\x01\x1a\0\0\0\
\x1b\0\0\0\xc0\0\0\x01\x49\x0e\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\
\0\x21\0\0\x01\x62\x04\0\0\x06\0\0\0\xc8\0\0\0\0\0\0\0\x22\0\0\0\0\0\0\x01\x6a\
\0\0\0\x25\0\0\x04\xc0\0\0\0\0\0\0\0\x2a\0\0\x05\0\0\0\x01\x74\0\0\0\x25\0\0\
\x05\x80\0\0\x01\x7a\0\0\0\x25\0\0\x05\xc0\0\0\x01\x7e\0\0\0\x25\0\0\x06\0\0\0\
\0\0\x05\0\0\x02\0\0\0\x98\0\0\x01\x89\0\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\
\0\0\0\0\x01\x93\x08\0\0\0\0\0\0\x24\0\0\0\0\x04\0\0\x03\0\0\0\x98\0\0\0\x29\0\
\0\0\x26\0\0\0\0\0\0\x01\xa0\0\0\0\x27\0\0\0\x40\0\0\x01\xa4\0\0\0\x29\0\0\0\
\xc0\0\0\x01\xa9\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x25\0\0\0\x04\0\0\0\x01\0\0\x01\xb7\x08\0\0\0\0\0\0\x28\0\0\0\0\x04\0\0\x02\0\
\0\0\x10\0\0\x01\xbd\0\0\0\x25\0\0\0\0\0\0\x01\xc2\0\0\0\x25\0\0\0\x40\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x04\0\0\0\x10\0\0\0\0\x05\0\0\x02\0\0\0\x10\
\0\0\0\0\0\0\0\x2b\0\0\0\0\0\0\x01\xc7\0\0\0\x2c\0\0\0\0\0\0\0\0\x04\0\0\x03\0\
\0\0\x10\0\0\x01\xd0\0\0\0\x1d\0\0\0\0\0\0\x01\xd9\0\0\0\x1d\0\0\0\x20\0\0\x01\
\xe2\0\0\0\x25\0\0\0\x40\0\0\x01\xc7\x84\0\0\x06\0\0\0\x0c\0\0\x01\xf0\0\0\0\
\x2d\0\0\0\0\0\0\x01\xf6\0\0\0\x2e\0\0\0\x20\0\0\x01\xfe\0\0\0\x2e\x01\0\0\x40\
\0\0\x02\x09\0\0\0\x2e\x01\0\0\x41\0\0\x02\x16\0\0\0\x2e\x03\0\0\x42\0\0\x01\
\x05\0\0\0\x2e\x03\0\0\x51\0\0\x02\x1a\x84\0\0\x05\0\0\0\x04\0\0\x02\x28\0\0\0\
\x1c\x08\0\0\0\0\0\x02\x2e\0\0\0\x1c\x01\0\0\x0c\0\0\x02\x30\0\0\0\x1c\x02\0\0\
\x0d\0\0\x02\x35\0\0\0\x1c\x01\0\0\x0f\0\0\x02\x39\0\0\0\x1c\x10\0\0\x10\0\0\
\x02\x40\x08\0\0\0\0\0\0\x1c\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x02\x44\0\0\0\
\x20\0\0\x02\x48\x0c\0\0\x01\0\0\0\x2f\0\0\0\0\x0d\0\0\x03\0\0\0\x02\0\0\x02\
\x44\0\0\0\x20\0\0\x02\x59\0\0\0\x0b\0\0\x02\x61\0\0\0\x19\0\0\x02\x65\x0c\0\0\
\x01\0\0\0\x31\0\0\0\0\x0d\0\0\x01\0\0\0\x1a\0\0\x02\x44\0\0\0\x20\0\0\x02\x72\
\x0c\0\0\x01\0\0\0\x33\0\0\x02\x82\x0c\0\0\x01\0\0\0\x2f\0\0\x02\x8b\x0c\0\0\
\x01\0\0\0\x2f\0\0\x02\x97\x0c\0\0\x01\0\0\0\x2f\0\0\x02\xa0\x0c\0\0\x01\0\0\0\
\x2f\0\0\x02\xa9\x0c\0\0\x01\0\0\0\x2f\0\0\x02\xb2\x0c\0\0\x01\0\0\0\x2f\0\0\
\x02\xbe\x0c\0\0\x01\0\0\0\x2f\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x04\0\
\0\0\x04\0\0\x02\xc9\x0e\0\0\0\0\0\0\x3c\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x0b\0\0\0\x04\0\0\0\x20\0\0\x02\xd2\x0e\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\x02\
\xdf\x0e\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\x02\xeb\x0e\0\0\0\0\0\0\x3e\0\0\0\x01\0\
\0\x02\xfe\x0e\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\x03\x10\x0e\0\0\0\0\0\0\x3e\0\0\0\
\x01\0\0\x03\x1d\x0e\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\x03\x2a\x0e\0\0\0\0\0\0\x3e\
\0\0\0\x01\0\0\x03\x37\x0e\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\x03\x43\x0e\0\0\0\0\0\
\0\x3e\0\0\0\x01\0\0\x03\x4e\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x03\x59\x0e\0\0\
\0\0\0\0\x02\0\0\0\x01\0\0\x03\x63\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x03\x74\
\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x03\x84\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\
\x03\x8f\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x03\x99\x0e\0\0\0\0\0\0\x02\0\0\0\
\x01\0\0\x03\xa4\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x03\xae\x0e\0\0\0\0\0\0\x02\
\0\0\0\x01\0\0\x03\xb9\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x03\xc3\x0e\0\0\0\0\0\
\0\x02\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x10\0\0\x03\xcc\x0e\0\0\0\0\0\0\x53\0\
\0\0\x02\0\0\x03\xe1\x0e\0\0\0\0\0\0\x0f\0\0\0\0\0\0\x03\xf4\x0e\0\0\0\0\0\0\
\x0f\0\0\0\0\0\0\x0a\xd0\x0f\0\0\x02\0\0\0\x40\0\0\0\x14\0\0\0\0\0\0\0\x20\0\0\
\0\x1f\0\0\0\x20\0\0\0\x20\0\0\x0a\xd6\x0f\0\0\x01\0\0\0\x04\0\0\0\x3d\0\0\0\0\
\0\0\0\x04\0\0\x0a\xde\x0f\0\0\x16\0\0\x09\x2e\0\0\0\x3f\0\0\0\0\0\0\x01\0\0\0\
\0\x40\0\0\x01\0\0\0\x01\0\0\0\0\x41\0\0\x02\0\0\0\x01\0\0\0\0\x42\0\0\x03\0\0\
\0\x01\0\0\0\0\x43\0\0\x04\0\0\0\x01\0\0\0\0\x44\0\0\x05\0\0\0\x01\0\0\0\0\x45\
\0\0\x06\0\0\0\x01\0\0\0\0\x46\0\0\x07\0\0\0\x01\0\0\0\0\x47\0\0\x08\0\0\0\x01\
\0\0\0\0\x48\0\0\x09\0\0\0\0\x04\0\0\0\x49\0\0\x09\x04\0\0\0\x04\0\0\0\x4a\0\0\
\x09\x08\0\0\0\x04\0\0\0\x4b\0\0\x09\x0c\0\0\0\x04\0\0\0\x4c\0\0\x09\x10\0\0\0\
\x04\0\0\0\x4d\0\0\x09\x14\0\0\0\x04\0\0\0\x4e\0\0\x09\x18\0\0\0\x04\0\0\0\x4f\
\0\0\x09\x1c\0\0\0\x04\0\0\0\x50\0\0\x09\x20\0\0\0\x04\0\0\0\x51\0\0\x09\x24\0\
\0\0\x04\0\0\0\x52\0\0\x09\x28\0\0\0\x04\0\0\0\x55\0\0\x09\x2c\0\0\0\x01\0\0\0\
\x56\0\0\x09\x2d\0\0\0\x01\0\0\x0a\xe3\x0f\0\0\x01\0\0\0\0\0\0\0\x54\0\0\0\0\0\
\0\0\x01\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\
\x65\x63\0\x61\x72\x67\x73\0\x75\x73\x64\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x61\
\x72\x67\x5f\x63\x6e\x74\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\
\x67\x5f\x73\x70\x65\x63\0\x76\x61\x6c\x5f\x6f\x66\x66\0\x61\x72\x67\x5f\x74\
\x79\x70\x65\0\x72\x65\x67\x5f\x6f\x66\x66\0\x61\x72\x67\x5f\x73\x69\x67\x6e\
\x65\x64\0\x61\x72\x67\x5f\x62\x69\x74\x73\x68\x69\x66\x74\0\x5f\x5f\x75\x36\
\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\x5f\x74\x79\x70\x65\
\0\x42\x50\x46\x5f\x55\x53\x44\x54\x5f\x41\x52\x47\x5f\x43\x4f\x4e\x53\x54\0\
\x42\x50\x46\x5f\x55\x53\x44\x54\x5f\x41\x52\x47\x5f\x52\x45\x47\0\x42\x50\x46\
\x5f\x55\x53\x44\x54\x5f\x41\x52\x47\x5f\x52\x45\x47\x5f\x44\x45\x52\x45\x46\0\
\x73\x68\x6f\x72\x74\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x63\x68\x61\x72\
\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\
\0\x76\x61\x6c\x75\x65\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\
\x65\x63\x73\0\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x69\x70\
\x5f\x74\x6f\x5f\x73\x70\x65\x63\x5f\x69\x64\0\x70\x74\x5f\x72\x65\x67\x73\0\
\x6f\x72\x69\x67\x5f\x67\x70\x72\x32\0\x66\x6c\x61\x67\x73\0\x63\x72\x31\0\x6c\
\x61\x73\x74\x5f\x62\x72\x65\x61\x6b\0\x75\x73\x65\x72\x5f\x72\x65\x67\x73\0\
\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x70\x73\x77\0\x67\x70\x72\
\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x70\x73\x77\x5f\
\x74\0\x6d\x61\x73\x6b\0\x61\x64\x64\x72\0\x74\x70\x69\x5f\x69\x6e\x66\x6f\0\
\x69\x6e\x74\x5f\x63\x6f\x64\x65\0\x69\x6e\x74\x5f\x70\x61\x72\x6d\0\x69\x6e\
\x74\x5f\x70\x61\x72\x6d\x5f\x6c\x6f\x6e\x67\0\x73\x63\x68\x69\x64\0\x69\x6e\
\x74\x70\x61\x72\x6d\0\x61\x64\x61\x70\x74\x65\x72\x5f\x49\x4f\0\x64\x69\x72\
\x65\x63\x74\x65\x64\x5f\x69\x72\x71\0\x69\x73\x63\0\x73\x75\x62\x63\x68\x61\
\x6e\x6e\x65\x6c\x5f\x69\x64\0\x63\x73\x73\x69\x64\0\x6d\0\x73\x73\x69\x64\0\
\x6f\x6e\x65\0\x73\x63\x68\x5f\x6e\x6f\0\x75\x33\x32\0\x63\x74\x78\0\x62\x70\
\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\x5f\x63\x6e\x74\0\x61\x72\x67\x5f\x6e\
\x75\x6d\0\x72\x65\x73\0\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\0\x62\
\x70\x66\x5f\x75\x73\x64\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x75\x70\x72\x6f\x62\
\x65\x5f\x31\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x31\0\x75\x70\x72\x6f\
\x62\x65\x5f\x32\0\x75\x70\x72\x6f\x62\x65\x5f\x33\0\x75\x70\x72\x6f\x62\x65\
\x5f\x34\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x34\0\x75\x73\x64\x74\x5f\
\x70\x72\x6f\x62\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x65\x6e\x74\x72\x79\
\x5f\x73\x74\x61\x63\x6b\x31\0\x65\x78\x69\x74\x5f\x73\x74\x61\x63\x6b\x31\0\
\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x31\x5f\x72\x65\x63\x75\x72\0\x65\
\x78\x69\x74\x5f\x73\x74\x61\x63\x6b\x31\x5f\x72\x65\x63\x75\x72\0\x65\x6e\x74\
\x72\x79\x5f\x73\x74\x61\x63\x6b\x32\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\
\x6b\x33\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x34\0\x65\x78\x69\x74\
\x5f\x73\x74\x61\x63\x6b\x34\0\x75\x73\x64\x74\x5f\x73\x74\x61\x63\x6b\0\x65\
\x6e\x74\x72\x79\x31\x5f\x6c\x65\x6e\0\x65\x78\x69\x74\x31\x5f\x6c\x65\x6e\0\
\x65\x6e\x74\x72\x79\x31\x5f\x72\x65\x63\x75\x72\x5f\x6c\x65\x6e\0\x65\x78\x69\
\x74\x31\x5f\x72\x65\x63\x75\x72\x5f\x6c\x65\x6e\0\x65\x6e\x74\x72\x79\x32\x5f\
\x6c\x65\x6e\0\x65\x78\x69\x74\x32\x5f\x6c\x65\x6e\0\x65\x6e\x74\x72\x79\x33\
\x5f\x6c\x65\x6e\0\x65\x78\x69\x74\x33\x5f\x6c\x65\x6e\0\x65\x6e\x74\x72\x79\
\x34\x5f\x6c\x65\x6e\0\x65\x78\x69\x74\x34\x5f\x6c\x65\x6e\0\x75\x73\x64\x74\
\x5f\x6c\x65\x6e\0\x4c\x49\x4e\x55\x58\x5f\x48\x41\x53\x5f\x42\x50\x46\x5f\x43\
\x4f\x4f\x4b\x49\x45\0\x5f\x5f\x5f\x5f\x75\x70\x72\x6f\x62\x65\x5f\x31\x2e\x72\
\x65\x63\x75\x72\0\x5f\x5f\x5f\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x31\
\x2e\x72\x65\x63\x75\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\
\x6c\x75\x64\x65\x2f\x62\x70\x66\x2f\x75\x73\x64\x74\x2e\x62\x70\x66\x2e\x68\0\
\x09\x69\x66\x20\x28\x21\x4c\x49\x4e\x55\x58\x5f\x48\x41\x53\x5f\x42\x50\x46\
\x5f\x43\x4f\x4f\x4b\x49\x45\x29\x20\x7b\0\x09\x09\x6c\x6f\x6e\x67\x20\x69\x70\
\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x49\x50\x28\x63\x74\x78\x29\x3b\0\
\x09\x09\x73\x70\x65\x63\x5f\x69\x64\x5f\x70\x74\x72\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x5f\
\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x69\x70\x5f\x74\x6f\x5f\x73\x70\x65\
\x63\x5f\x69\x64\x2c\x20\x26\x69\x70\x29\x3b\0\x09\x09\x72\x65\x74\x75\x72\x6e\
\x20\x73\x70\x65\x63\x5f\x69\x64\x5f\x70\x74\x72\x20\x3f\x20\x2a\x73\x70\x65\
\x63\x5f\x69\x64\x5f\x70\x74\x72\x20\x3a\x20\x2d\x45\x53\x52\x43\x48\x3b\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x61\x74\x74\x61\
\x63\x68\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x63\x74\x78\x29\x3b\0\x09\x73\x70\x65\
\x63\x5f\x69\x64\x20\x3d\x20\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\
\x70\x65\x63\x5f\x69\x64\x28\x63\x74\x78\x29\x3b\0\x09\x69\x66\x20\x28\x73\x70\
\x65\x63\x5f\x69\x64\x20\x3c\x20\x30\x29\0\x09\x73\x70\x65\x63\x20\x3d\x20\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\
\x26\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\x65\x63\x73\x2c\x20\
\x26\x73\x70\x65\x63\x5f\x69\x64\x29\x3b\0\x09\x69\x66\x20\x28\x21\x73\x70\x65\
\x63\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\
\x5f\x63\x6e\x74\x3b\0\x7d\0\x69\x6e\x74\x20\x62\x70\x66\x5f\x75\x73\x64\x74\
\x5f\x61\x72\x67\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\
\x20\x2a\x63\x74\x78\x2c\x20\x5f\x5f\x75\x36\x34\x20\x61\x72\x67\x5f\x6e\x75\
\x6d\x2c\x20\x6c\x6f\x6e\x67\x20\x2a\x72\x65\x73\x29\0\x09\x2a\x72\x65\x73\x20\
\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x61\x72\x67\x5f\x6e\x75\x6d\x20\x3e\x3d\
\x20\x42\x50\x46\x5f\x55\x53\x44\x54\x5f\x4d\x41\x58\x5f\x41\x52\x47\x5f\x43\
\x4e\x54\x29\0\x09\x69\x66\x20\x28\x61\x72\x67\x5f\x6e\x75\x6d\x20\x3e\x3d\x20\
\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x63\x6e\x74\x29\0\x09\x61\x72\x67\x5f\
\x73\x70\x65\x63\x20\x3d\x20\x26\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x73\x5b\
\x61\x72\x67\x5f\x6e\x75\x6d\x5d\x3b\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x61\
\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x74\x79\x70\x65\x29\x20\
\x7b\0\x09\x09\x76\x61\x6c\x20\x3d\x20\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\
\x76\x61\x6c\x5f\x6f\x66\x66\x3b\0\x09\x09\x62\x72\x65\x61\x6b\x3b\0\x09\x09\
\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\
\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x76\x61\x6c\x29\x2c\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x63\x74\
\x78\x20\x2b\x20\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x72\x65\x67\x5f\x6f\
\x66\x66\x29\x3b\0\x09\x09\x69\x66\x20\x28\x65\x72\x72\x29\0\x09\x76\x61\x6c\
\x20\x3c\x3c\x3d\x20\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\
\x62\x69\x74\x73\x68\x69\x66\x74\x3b\0\x09\x09\x65\x72\x72\x20\x3d\x20\x62\x70\
\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x28\x26\
\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x29\x2c\x20\x28\
\x76\x6f\x69\x64\x20\x2a\x29\x76\x61\x6c\x20\x2b\x20\x61\x72\x67\x5f\x73\x70\
\x65\x63\x2d\x3e\x76\x61\x6c\x5f\x6f\x66\x66\x29\x3b\0\x09\x09\x76\x61\x6c\x20\
\x3e\x3e\x3d\x20\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x62\
\x69\x74\x73\x68\x69\x66\x74\x3b\0\x09\x69\x66\x20\x28\x61\x72\x67\x5f\x73\x70\
\x65\x63\x2d\x3e\x61\x72\x67\x5f\x73\x69\x67\x6e\x65\x64\x29\0\x09\x2a\x72\x65\
\x73\x20\x3d\x20\x76\x61\x6c\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x70\x65\
\x63\x2d\x3e\x75\x73\x64\x74\x5f\x63\x6f\x6f\x6b\x69\x65\x3b\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x36\x35\x2e\x65\
\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x73\x74\x61\
\x63\x6b\x2e\x63\0\x09\x69\x66\x20\x28\x21\x72\x65\x63\x75\x72\x29\0\x09\x72\
\x65\x63\x75\x72\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x69\x6e\x74\x20\x42\x50\x46\
\x5f\x55\x50\x52\x4f\x42\x45\x28\x75\x70\x72\x6f\x62\x65\x5f\x31\x29\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x55\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x75\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x31\x29\0\x09\x65\x6e\x74\x72\x79\x32\x5f\x6c\x65\
\x6e\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\
\x74\x78\x2c\x20\x26\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x32\x2c\x20\
\x53\x5a\x2c\x20\x42\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\x53\x54\x41\x43\
\x4b\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\x45\x28\x75\
\x70\x72\x6f\x62\x65\x5f\x32\x29\0\x09\x65\x6e\x74\x72\x79\x33\x5f\x6c\x65\x6e\
\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\
\x78\x2c\x20\x26\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x33\x2c\x20\x53\
\x5a\x2c\x20\x42\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\x53\x54\x41\x43\x4b\
\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\x45\x28\x75\x70\
\x72\x6f\x62\x65\x5f\x33\x29\0\x09\x65\x6e\x74\x72\x79\x34\x5f\x6c\x65\x6e\x20\
\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\x78\
\x2c\x20\x26\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x34\x2c\x20\x53\x5a\
\x2c\x20\x42\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\x53\x54\x41\x43\x4b\x29\
\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\x45\x28\x75\x70\x72\
\x6f\x62\x65\x5f\x34\x29\0\x09\x65\x78\x69\x74\x34\x5f\x6c\x65\x6e\x20\x3d\x20\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\x78\x2c\x20\
\x26\x65\x78\x69\x74\x5f\x73\x74\x61\x63\x6b\x34\x2c\x20\x53\x5a\x2c\x20\x42\
\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\x53\x54\x41\x43\x4b\x29\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x55\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x75\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x34\x29\0\x09\x75\x73\x64\x74\x5f\x6c\x65\x6e\x20\
\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\x78\
\x2c\x20\x26\x75\x73\x64\x74\x5f\x73\x74\x61\x63\x6b\x2c\x20\x53\x5a\x2c\x20\
\x42\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\x53\x54\x41\x43\x4b\x29\x3b\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x55\x53\x44\x54\x28\x75\x73\x64\x74\x5f\x70\x72\
\x6f\x62\x65\x29\0\x30\x3a\x31\x3a\x31\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\x2e\x74\x65\
\x78\x74\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\
\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x31\0\x75\x72\x65\x74\x70\x72\
\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\
\x74\x61\x72\x67\x65\x74\x5f\x31\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\
\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x32\0\
\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\
\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x33\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\
\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\
\x74\x5f\x34\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\
\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x34\0\x75\x73\
\x64\x74\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x73\x74\x61\x63\x6b\x3a\x74\x61\x72\x67\
\x65\x74\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x94\0\0\0\x94\0\
\0\x06\x34\0\0\x06\xc8\0\0\0\x3c\0\0\0\x08\0\0\x0a\xec\0\0\0\x03\0\0\0\0\0\0\0\
\x30\0\0\x01\x18\0\0\0\x32\0\0\x04\xf0\0\0\0\x34\0\0\x0a\xf2\0\0\0\x01\0\0\0\0\
\0\0\0\x35\0\0\x0b\x11\0\0\0\x01\0\0\0\0\0\0\0\x36\0\0\x0b\x33\0\0\0\x01\0\0\0\
\0\0\0\0\x37\0\0\x0b\x52\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\x0b\x71\0\0\0\x01\0\0\
\0\0\0\0\0\x39\0\0\x0b\x90\0\0\0\x01\0\0\0\0\0\0\0\x3a\0\0\x0b\xb2\0\0\0\x01\0\
\0\0\0\0\0\0\x3b\0\0\0\x10\0\0\x0a\xec\0\0\0\x4a\0\0\0\0\0\0\x04\x0a\0\0\x04\
\x8a\0\x01\x48\x07\0\0\0\x18\0\0\x04\x0a\0\0\x04\x8a\0\x01\x48\x06\0\0\0\x20\0\
\0\x04\x0a\0\0\x04\xa8\0\x01\x4c\x0d\0\0\0\x28\0\0\x04\x0a\0\0\x04\xa8\0\x01\
\x4c\x08\0\0\0\x40\0\0\x04\x0a\0\0\x04\xc5\0\x01\x58\x11\0\0\0\x70\0\0\x04\x0a\
\0\0\x05\x0a\0\x01\x5c\x0a\0\0\0\x78\0\0\x04\x0a\0\0\x05\x0a\0\x01\x5c\x18\0\0\
\0\x88\0\0\x04\x0a\0\0\x05\x38\0\x01\x68\x09\0\0\0\xa0\0\0\x04\x0a\0\0\x05\x5c\
\0\x01\x90\x0a\0\0\0\xb8\0\0\x04\x0a\0\0\x05\x80\0\x01\x94\x06\0\0\0\xd0\0\0\
\x04\x0a\0\0\x05\x92\0\x01\xa0\x09\0\0\0\xe8\0\0\x04\x0a\0\0\x05\xcc\0\x01\xa4\
\x06\0\0\0\xf0\0\0\x04\x0a\0\0\x05\xd8\0\x01\xb0\x0f\0\0\x01\x08\0\0\x04\x0a\0\
\0\x05\xef\0\x01\xb4\x01\0\0\x01\x18\0\0\x04\x0a\0\0\x05\xf1\0\x01\xd0\0\0\0\
\x01\x38\0\0\x04\x0a\0\0\x06\x31\0\x01\xec\x07\0\0\x01\x40\0\0\x04\x0a\0\0\x04\
\x8a\0\x01\x48\x07\0\0\x01\x58\0\0\x04\x0a\0\0\x04\x8a\0\x01\x48\x06\0\0\x01\
\x60\0\0\x04\x0a\0\0\x04\xa8\0\x01\x4c\x0d\0\0\x01\x68\0\0\x04\x0a\0\0\x04\xa8\
\0\x01\x4c\x08\0\0\x01\x80\0\0\x04\x0a\0\0\x04\xc5\0\x01\x58\x11\0\0\x01\xb0\0\
\0\x04\x0a\0\0\x05\x0a\0\x01\x5c\x0a\0\0\x01\xb8\0\0\x04\x0a\0\0\x05\x0a\0\x01\
\x5c\x18\0\0\x01\xc8\0\0\x04\x0a\0\0\x05\x38\0\x01\x68\x09\0\0\x01\xe8\0\0\x04\
\x0a\0\0\x05\x5c\0\x01\xf4\x0a\0\0\x02\0\0\0\x04\x0a\0\0\x05\x80\0\x01\xf8\x06\
\0\0\x02\x18\0\0\x04\x0a\0\0\x05\x92\0\x02\x04\x09\0\0\x02\x30\0\0\x04\x0a\0\0\
\x05\xcc\0\x02\x08\x06\0\0\x02\x48\0\0\x04\x0a\0\0\x06\x3c\0\x02\x14\x06\0\0\
\x02\x50\0\0\x04\x0a\0\0\x06\x62\0\x02\x20\x17\0\0\x02\x68\0\0\x04\x0a\0\0\x06\
\x62\0\x02\x20\x06\0\0\x02\x70\0\0\x04\x0a\0\0\x06\x81\0\x02\x2c\x0e\0\0\x02\
\x80\0\0\x04\x0a\0\0\x06\xa3\0\x02\x30\x14\0\0\x02\x88\0\0\x04\x0a\0\0\x06\xa3\
\0\x02\x30\x02\0\0\x02\xb0\0\0\x04\x0a\0\0\x06\xc2\0\x02\x44\x13\0\0\x02\xb8\0\
\0\x04\x0a\0\0\x06\xdd\0\x02\x48\x03\0\0\x02\xc0\0\0\x04\x0a\0\0\x06\xe6\0\x02\
\x64\x4a\0\0\x02\xd8\0\0\x04\x0a\0\0\x06\xe6\0\x02\x64\x3e\0\0\x02\xf0\0\0\x04\
\x0a\0\0\x06\xe6\0\x02\x64\x09\0\0\x03\x38\0\0\x04\x0a\0\0\x07\x39\0\x02\x68\
\x07\0\0\x03\x40\0\0\x04\x0a\0\0\x07\x44\0\x02\xdc\x06\0\0\x03\x48\0\0\x04\x0a\
\0\0\x07\x39\0\x02\x68\x07\0\0\x03\x50\0\0\x04\x0a\0\0\x06\xe6\0\x02\x94\x4a\0\
\0\x03\x68\0\0\x04\x0a\0\0\x06\xe6\0\x02\x94\x3e\0\0\x03\x80\0\0\x04\x0a\0\0\
\x06\xe6\0\x02\x94\x09\0\0\x03\xc8\0\0\x04\x0a\0\0\x07\x39\0\x02\x98\x07\0\0\
\x03\xd0\0\0\x04\x0a\0\0\x07\x65\0\x02\xa0\x48\0\0\x03\xd8\0\0\x04\x0a\0\0\x07\
\x65\0\x02\xa0\x38\0\0\x03\xe0\0\0\x04\x0a\0\0\x07\x65\0\x02\xa0\x3c\0\0\x03\
\xf8\0\0\x04\x0a\0\0\x07\x65\0\x02\xa0\x09\0\0\x04\x30\0\0\x04\x0a\0\0\x07\x39\
\0\x02\xa4\x07\0\0\x04\x38\0\0\x04\x0a\0\0\x07\xb6\0\x02\xb0\x15\0\0\x04\x50\0\
\0\x04\x0a\0\0\x07\xb6\0\x02\xb0\x07\0\0\x04\x70\0\0\x04\x0a\0\0\x07\x44\0\x02\
\xdc\x14\0\0\x04\x88\0\0\x04\x0a\0\0\x07\x44\0\x02\xdc\x06\0\0\x04\xa0\0\0\x04\
\x0a\0\0\x07\xd8\0\x02\xe0\x06\0\0\x04\xb0\0\0\x04\x0a\0\0\x07\xd8\0\x02\xe0\
\x10\0\0\x04\xb8\0\0\x04\x0a\0\0\x07\xd8\0\x02\xe0\x06\0\0\x04\xd0\0\0\x04\x0a\
\0\0\x07\xf3\0\x02\xf0\x07\0\0\x04\xe0\0\0\x04\x0a\0\0\x05\xef\0\x02\xf8\x01\0\
\0\x04\xf0\0\0\x04\x0a\0\0\x04\x8a\0\x01\x48\x07\0\0\x05\x08\0\0\x04\x0a\0\0\
\x04\x8a\0\x01\x48\x06\0\0\x05\x10\0\0\x04\x0a\0\0\x04\xa8\0\x01\x4c\x0d\0\0\
\x05\x18\0\0\x04\x0a\0\0\x04\xa8\0\x01\x4c\x08\0\0\x05\x30\0\0\x04\x0a\0\0\x04\
\xc5\0\x01\x58\x11\0\0\x05\x60\0\0\x04\x0a\0\0\x05\x0a\0\x01\x5c\x0a\0\0\x05\
\x68\0\0\x04\x0a\0\0\x05\x0a\0\x01\x5c\x18\0\0\x05\x78\0\0\x04\x0a\0\0\x05\x38\
\0\x01\x68\x09\0\0\x05\x88\0\0\x04\x0a\0\0\x05\x5c\0\x03\x30\x0a\0\0\x05\xa0\0\
\0\x04\x0a\0\0\x05\x80\0\x03\x34\x06\0\0\x05\xb8\0\0\x04\x0a\0\0\x05\x92\0\x03\
\x40\x09\0\0\x05\xd0\0\0\x04\x0a\0\0\x05\xcc\0\x03\x44\x06\0\0\x05\xd8\0\0\x04\
\x0a\0\0\x08\0\0\x03\x50\x0f\0\0\x05\xe0\0\0\x04\x0a\0\0\x05\xef\0\x03\x54\x01\
\0\0\x0a\xf2\0\0\0\x03\0\0\0\0\0\0\x08\x1b\0\0\x08\x96\0\0\x88\x07\0\0\0\x90\0\
\0\x08\x1b\0\0\x08\xa3\0\0\x9c\x08\0\0\0\x98\0\0\x08\x1b\0\0\x08\xb2\0\0\x6c\
\x05\0\0\x0b\x11\0\0\0\x03\0\0\0\0\0\0\x08\x1b\0\0\x08\x96\0\0\xc8\x07\0\0\0\
\x90\0\0\x08\x1b\0\0\x08\xa3\0\0\xdc\x08\0\0\0\x98\0\0\x08\x1b\0\0\x08\xcb\0\0\
\xb0\x05\0\0\x0b\x33\0\0\0\x03\0\0\0\0\0\0\x08\x1b\0\0\x08\xea\0\0\xf8\x0f\0\0\
\0\x28\0\0\x08\x1b\0\0\x08\xea\0\0\xf8\x0d\0\0\0\x40\0\0\x08\x1b\0\0\x09\x31\0\
\0\xf0\x05\0\0\x0b\x52\0\0\0\x03\0\0\0\0\0\0\x08\x1b\0\0\x09\x4a\0\x01\x1c\x0f\
\0\0\0\x28\0\0\x08\x1b\0\0\x09\x4a\0\x01\x1c\x0d\0\0\0\x40\0\0\x08\x1b\0\0\x09\
\x91\0\x01\x14\x05\0\0\x0b\x71\0\0\0\x03\0\0\0\0\0\0\x08\x1b\0\0\x09\xaa\0\x01\
\x40\x0f\0\0\0\x28\0\0\x08\x1b\0\0\x09\xaa\0\x01\x40\x0d\0\0\0\x40\0\0\x08\x1b\
\0\0\x09\xf1\0\x01\x38\x05\0\0\x0b\x90\0\0\0\x03\0\0\0\0\0\0\x08\x1b\0\0\x0a\
\x0a\0\x01\x5c\x0e\0\0\0\x28\0\0\x08\x1b\0\0\x0a\x0a\0\x01\x5c\x0c\0\0\0\x40\0\
\0\x08\x1b\0\0\x0a\x4f\0\x01\x54\x05\0\0\x0b\xb2\0\0\0\x03\0\0\0\0\0\0\x08\x1b\
\0\0\x0a\x6e\0\x01\x78\x0d\0\0\0\x28\0\0\x08\x1b\0\0\x0a\x6e\0\x01\x78\x0b\0\0\
\0\x40\0\0\x08\x1b\0\0\x0a\xb1\0\x01\x70\x05\0\0\0\x10\0\0\x0a\xec\0\0\0\x03\0\
\0\0\x20\0\0\0\x23\0\0\x0a\xca\0\0\0\0\0\0\x01\x60\0\0\0\x23\0\0\x0a\xca\0\0\0\
\0\0\0\x05\x10\0\0\0\x23\0\0\x0a\xca\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x04\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\x68\0\0\0\0\0\0\x04\x68\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\
\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xd0\0\0\
\0\0\0\0\x05\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\
\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\xc0\0\0\0\0\0\0\0\
\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x01\0\0\
\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x68\0\0\0\0\0\0\0\xa8\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\x01\0\0\0\0\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x10\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x10\x60\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x96\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\xb0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\xb5\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\0\0\
\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x50\0\0\0\0\0\0\0\x50\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x02\0\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\xa0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x08\0\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\xe0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\x01\x10\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x11\xe8\0\0\0\0\0\0\x09\x2e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\x03\x07\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x11\xe8\0\0\0\0\0\0\0\x90\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\x03\x11\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x12\x78\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x03\x34\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\
\xc8\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\x03\x5a\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x18\0\
\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x03\x7d\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x38\0\0\0\
\0\0\0\0\x20\0\0\0\x02\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x03\
\xa0\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x58\0\0\0\0\0\
\0\0\x20\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x03\xc3\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x78\0\0\0\0\0\0\0\
\x20\0\0\0\x02\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x03\xe9\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x98\0\0\0\0\0\0\0\x20\0\
\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x04\x18\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\xb8\0\0\0\0\0\0\x14\xb9\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x04\x1d\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x78\0\0\0\0\0\0\x07\x24\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct uretprobe_stack *uretprobe_stack::open(const struct bpf_object_open_opts *opts) { return uretprobe_stack__open_opts(opts); }
struct uretprobe_stack *uretprobe_stack::open_and_load() { return uretprobe_stack__open_and_load(); }
int uretprobe_stack::load(struct uretprobe_stack *skel) { return uretprobe_stack__load(skel); }
int uretprobe_stack::attach(struct uretprobe_stack *skel) { return uretprobe_stack__attach(skel); }
void uretprobe_stack::detach(struct uretprobe_stack *skel) { uretprobe_stack__detach(skel); }
void uretprobe_stack::destroy(struct uretprobe_stack *skel) { uretprobe_stack__destroy(skel); }
const void *uretprobe_stack::elf_bytes(size_t *sz) { return uretprobe_stack__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
uretprobe_stack__assert(struct uretprobe_stack *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->entry_stack1) == 256, "unexpected size of 'entry_stack1'");
	_Static_assert(sizeof(s->bss->exit_stack1) == 256, "unexpected size of 'exit_stack1'");
	_Static_assert(sizeof(s->bss->entry_stack1_recur) == 256, "unexpected size of 'entry_stack1_recur'");
	_Static_assert(sizeof(s->bss->exit_stack1_recur) == 256, "unexpected size of 'exit_stack1_recur'");
	_Static_assert(sizeof(s->bss->entry_stack2) == 256, "unexpected size of 'entry_stack2'");
	_Static_assert(sizeof(s->bss->entry_stack3) == 256, "unexpected size of 'entry_stack3'");
	_Static_assert(sizeof(s->bss->entry_stack4) == 256, "unexpected size of 'entry_stack4'");
	_Static_assert(sizeof(s->bss->exit_stack4) == 256, "unexpected size of 'exit_stack4'");
	_Static_assert(sizeof(s->bss->usdt_stack) == 256, "unexpected size of 'usdt_stack'");
	_Static_assert(sizeof(s->bss->entry1_len) == 4, "unexpected size of 'entry1_len'");
	_Static_assert(sizeof(s->bss->exit1_len) == 4, "unexpected size of 'exit1_len'");
	_Static_assert(sizeof(s->bss->entry1_recur_len) == 4, "unexpected size of 'entry1_recur_len'");
	_Static_assert(sizeof(s->bss->exit1_recur_len) == 4, "unexpected size of 'exit1_recur_len'");
	_Static_assert(sizeof(s->bss->entry2_len) == 4, "unexpected size of 'entry2_len'");
	_Static_assert(sizeof(s->bss->exit2_len) == 4, "unexpected size of 'exit2_len'");
	_Static_assert(sizeof(s->bss->entry3_len) == 4, "unexpected size of 'entry3_len'");
	_Static_assert(sizeof(s->bss->exit3_len) == 4, "unexpected size of 'exit3_len'");
	_Static_assert(sizeof(s->bss->entry4_len) == 4, "unexpected size of 'entry4_len'");
	_Static_assert(sizeof(s->bss->exit4_len) == 4, "unexpected size of 'exit4_len'");
	_Static_assert(sizeof(s->bss->usdt_len) == 4, "unexpected size of 'usdt_len'");
	_Static_assert(sizeof(s->kconfig->LINUX_HAS_BPF_COOKIE) == 1, "unexpected size of 'LINUX_HAS_BPF_COOKIE'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __URETPROBE_STACK_SKEL_H__ */
