/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_PARSE_TCP_HDR_OPT_DYNPTR_SKEL_H__
#define __TEST_PARSE_TCP_HDR_OPT_DYNPTR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_parse_tcp_hdr_opt_dynptr {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *xdp_ingress_v6;
	} progs;
	struct {
		struct bpf_link *xdp_ingress_v6;
	} links;
	struct test_parse_tcp_hdr_opt_dynptr__rodata {
		__u32 tcp_hdr_opt_kind_tpr;
		__u32 tcp_hdr_opt_len_tpr;
		__u32 tcp_hdr_opt_max_opt_checks;
	} *rodata;
	struct test_parse_tcp_hdr_opt_dynptr__bss {
		__u32 server_id;
	} *bss;

#ifdef __cplusplus
	static inline struct test_parse_tcp_hdr_opt_dynptr *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_parse_tcp_hdr_opt_dynptr *open_and_load();
	static inline int load(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline int attach(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline void detach(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline void destroy(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_parse_tcp_hdr_opt_dynptr__destroy(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_parse_tcp_hdr_opt_dynptr__create_skeleton(struct test_parse_tcp_hdr_opt_dynptr *obj);

static inline struct test_parse_tcp_hdr_opt_dynptr *
test_parse_tcp_hdr_opt_dynptr__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_parse_tcp_hdr_opt_dynptr *obj;
	int err;

	obj = (struct test_parse_tcp_hdr_opt_dynptr *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_parse_tcp_hdr_opt_dynptr__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_parse_tcp_hdr_opt_dynptr__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_parse_tcp_hdr_opt_dynptr *
test_parse_tcp_hdr_opt_dynptr__open(void)
{
	return test_parse_tcp_hdr_opt_dynptr__open_opts(NULL);
}

static inline int
test_parse_tcp_hdr_opt_dynptr__load(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_parse_tcp_hdr_opt_dynptr *
test_parse_tcp_hdr_opt_dynptr__open_and_load(void)
{
	struct test_parse_tcp_hdr_opt_dynptr *obj;
	int err;

	obj = test_parse_tcp_hdr_opt_dynptr__open();
	if (!obj)
		return NULL;
	err = test_parse_tcp_hdr_opt_dynptr__load(obj);
	if (err) {
		test_parse_tcp_hdr_opt_dynptr__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_parse_tcp_hdr_opt_dynptr__attach(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_parse_tcp_hdr_opt_dynptr__detach(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_parse_tcp_hdr_opt_dynptr__elf_bytes(size_t *sz);

static inline int
test_parse_tcp_hdr_opt_dynptr__create_skeleton(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_parse_tcp_hdr_opt_dynptr";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_par.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "test_par.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_ingress_v6";
	s->progs[0].prog = &obj->progs.xdp_ingress_v6;
	s->progs[0].link = &obj->links.xdp_ingress_v6;

	s->data = test_parse_tcp_hdr_opt_dynptr__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_parse_tcp_hdr_opt_dynptr__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\x70\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\
\0\x74\x65\x73\x74\x5f\x70\x61\x72\x73\x65\x5f\x74\x63\x70\x5f\x68\x64\x72\x5f\
\x6f\x70\x74\x5f\x64\x79\x6e\x70\x74\x72\x2e\x63\0\x78\x64\x70\x5f\x69\x6e\x67\
\x72\x65\x73\x73\x5f\x76\x36\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x66\
\x72\x6f\x6d\x5f\x78\x64\x70\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x73\
\x6c\x69\x63\x65\0\x73\x65\x72\x76\x65\x72\x5f\x69\x64\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6b\x69\x6e\x64\
\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\
\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6d\x61\x78\
\x5f\x6f\x70\x74\x5f\x63\x68\x65\x63\x6b\x73\0\x2e\x72\x65\x6c\x78\x64\x70\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\x12\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x40\0\0\0\x59\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x6d\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\
\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x88\x11\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x91\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\xa6\x11\0\0\x05\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\xba\x11\0\
\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x04\xb4\x20\0\0\0\0\0\0\x63\xa2\xff\xf0\
\0\0\0\0\xb7\x20\0\0\0\0\0\0\x7b\xa2\xff\xe8\0\0\0\0\x7b\xa2\xff\xe0\0\0\0\0\
\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xd0\xbf\x36\0\0\0\0\0\0\x85\x01\0\
\0\xff\xff\xff\xff\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xe0\xbf\x16\0\0\
\0\0\0\0\xb4\x20\0\0\0\0\0\x36\xb4\x40\0\0\0\0\0\x14\x85\x01\0\0\xff\xff\xff\
\xff\xbf\x10\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x01\x15\x10\0\x35\0\0\0\0\x69\x71\0\
\x0c\0\0\0\0\x74\x70\0\0\0\0\0\x0a\x54\x70\0\0\0\0\0\x3c\x04\x70\0\0\xff\xff\
\xff\xec\xa6\x70\0\x30\0\0\0\x06\xb4\x60\0\0\0\0\0\x4a\xb4\x80\0\0\0\0\0\x0f\
\xb4\x90\0\0\0\0\0\0\x05\0\0\x0e\0\0\0\0\xbc\x27\0\0\0\0\0\0\x54\x20\0\0\0\0\0\
\xff\x16\x20\0\x04\0\0\0\0\x0c\x16\0\0\0\0\0\0\x04\x80\0\0\xff\xff\xff\xff\xbc\
\x61\0\0\0\0\0\0\x56\x80\0\x07\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x11\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x01\x16\x10\0\x20\0\0\0\0\xb4\0\0\0\0\0\0\x02\
\x05\0\0\x1e\0\0\0\0\x6b\xa9\xff\xfc\0\0\0\0\x63\xa9\xff\xf8\0\0\0\0\xbf\x1a\0\
\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xd0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\
\xff\xf8\xbc\x26\0\0\0\0\0\0\xb4\x40\0\0\0\0\0\x06\x85\x01\0\0\xff\xff\xff\xff\
\x15\0\xff\xef\0\0\0\0\x71\x20\0\0\0\0\0\0\x16\x20\0\x0d\0\0\0\x01\x16\x20\xff\
\xec\0\0\0\0\xbc\x37\0\0\0\0\0\0\x54\x30\0\0\0\0\0\xff\xa6\x30\xff\xe9\0\0\0\
\x02\x71\x10\0\x01\0\0\0\0\xae\x31\xff\xe7\0\0\0\0\x56\x20\0\x09\0\0\0\xfd\x56\
\x10\xff\xe5\0\0\0\x06\x61\x10\0\x02\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x63\x21\0\0\0\0\0\0\x05\0\xff\xe0\0\0\0\0\xb4\x10\0\0\0\0\0\x01\x04\x70\0\0\
\xff\xff\xff\xff\x05\0\xff\xd6\0\0\0\0\x1c\x71\0\0\0\0\0\0\x05\0\xff\xd4\0\0\0\
\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\xfd\0\0\0\x06\0\0\0\x0f\0\0\0\0\0\0\0\
\x40\0\0\0\x04\0\0\0\x0a\0\0\0\0\0\0\0\x70\0\0\0\x05\0\0\0\x0a\0\0\0\0\0\0\x01\
\x10\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\x01\x88\0\0\0\x05\0\0\0\x0a\0\0\0\0\0\0\
\x01\xf0\0\0\0\x06\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x02\xa8\0\0\
\x02\xa8\0\0\x05\x53\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x04\0\0\x06\0\0\0\
\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x20\0\0\0\x16\0\0\0\
\x03\0\0\0\x40\0\0\0\x20\0\0\0\x03\0\0\0\x60\0\0\0\x30\0\0\0\x03\0\0\0\x80\0\0\
\0\x3f\0\0\0\x03\0\0\0\xa0\0\0\0\x4e\x08\0\0\0\0\0\0\x04\0\0\0\x54\x01\0\0\0\0\
\0\0\x04\0\0\0\x20\0\0\0\0\x0d\0\0\x01\0\0\0\x06\0\0\0\x61\0\0\0\x01\0\0\0\x65\
\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x69\x0c\0\0\x01\0\0\0\x05\0\0\0\0\x0d\0\
\0\x03\0\0\0\x06\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\x0b\0\0\0\
\x78\x08\0\0\0\0\0\0\x0a\0\0\0\x7e\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x02\0\
\0\0\0\0\0\x0c\0\0\0\x91\x04\0\0\x01\0\0\0\x10\0\0\0\x9c\0\0\0\x0d\0\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x0e\0\0\0\x02\0\0\0\xa5\x01\0\0\0\0\0\0\
\x04\0\0\0\x20\0\0\0\xb9\x0c\0\0\x02\0\0\0\x08\0\0\0\0\x0d\0\0\x04\0\0\0\x11\0\
\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x11\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x13\0\0\0\0\x0a\0\0\0\0\0\0\x0c\0\0\
\0\xcd\x0c\0\0\x02\0\0\0\x10\0\0\0\xde\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x0e\0\0\0\x04\0\0\0\xe3\x0e\0\0\0\0\0\0\x16\
\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x03\0\0\0\xec\x0e\0\0\0\0\0\0\x18\0\0\0\x01\
\0\0\x01\x01\x0e\0\0\0\0\0\0\x18\0\0\0\x01\0\0\x01\x15\x0e\0\0\0\0\0\0\x18\0\0\
\0\x01\0\0\x01\x30\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x05\x37\x0f\0\0\x01\0\0\0\
\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\x05\x3f\x0f\0\0\x03\0\0\0\x0c\0\0\0\x19\0\
\0\0\0\0\0\0\x04\0\0\0\x1a\0\0\0\x04\0\0\0\x04\0\0\0\x1b\0\0\0\x08\0\0\0\x04\0\
\0\x05\x47\x0f\0\0\x01\0\0\0\x04\0\0\0\x1c\0\0\0\0\0\0\0\x04\0\0\x05\x4c\x0f\0\
\0\x02\0\0\0\0\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\x78\x64\
\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\
\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\
\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\
\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x5f\x5f\x75\x33\x32\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x78\x64\x70\0\x69\x6e\x74\0\
\x78\x64\x70\x5f\x69\x6e\x67\x72\x65\x73\x73\x5f\x76\x36\0\x5f\x5f\x75\x36\x34\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\
\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x66\x72\x6f\x6d\x5f\x78\x64\x70\0\
\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x73\x6c\x69\x63\x65\0\x63\x68\x61\
\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\
\x70\x74\x5f\x6b\x69\x6e\x64\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\
\x6f\x70\x74\x5f\x6c\x65\x6e\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\
\x6f\x70\x74\x5f\x6d\x61\x78\x5f\x6f\x70\x74\x5f\x63\x68\x65\x63\x6b\x73\0\x73\
\x65\x72\x76\x65\x72\x5f\x69\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x36\x35\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\
\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\
\x65\x73\x74\x5f\x70\x61\x72\x73\x65\x5f\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\
\x70\x74\x5f\x64\x79\x6e\x70\x74\x72\x2e\x63\0\x69\x6e\x74\x20\x78\x64\x70\x5f\
\x69\x6e\x67\x72\x65\x73\x73\x5f\x76\x36\x28\x73\x74\x72\x75\x63\x74\x20\x78\
\x64\x70\x5f\x6d\x64\x20\x2a\x78\x64\x70\x29\0\x09\x5f\x5f\x75\x38\x20\x62\x75\
\x66\x66\x65\x72\x5b\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\
\x74\x63\x70\x68\x64\x72\x29\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x62\x70\x66\x5f\
\x64\x79\x6e\x70\x74\x72\x5f\x66\x72\x6f\x6d\x5f\x78\x64\x70\x28\x78\x64\x70\
\x2c\x20\x30\x2c\x20\x26\x70\x74\x72\x29\x3b\0\x09\x74\x63\x70\x5f\x68\x64\x72\
\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x73\x6c\x69\x63\x65\
\x28\x26\x70\x74\x72\x2c\x20\x6f\x66\x66\x2c\x20\x62\x75\x66\x66\x65\x72\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x66\x65\x72\x29\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x74\x63\x70\x5f\x68\x64\x72\x29\0\x09\x74\x63\x70\x5f\x68\x64\
\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x20\x3d\x20\x28\x74\x63\x70\x5f\x68\x64\
\x72\x2d\x3e\x64\x6f\x66\x66\x20\x2a\x20\x34\x29\x20\x2d\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x74\x63\x70\x68\x64\x72\x29\x3b\0\x09\
\x69\x66\x20\x28\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\
\x20\x3c\x20\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x5f\
\x74\x70\x72\x29\0\x09\x09\x69\x66\x20\x28\x65\x72\x72\x20\x7c\x7c\x20\x21\x68\
\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x29\0\
\x09\x66\x6f\x72\x20\x28\x69\x6e\x74\x20\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\
\x3c\x20\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6d\x61\x78\x5f\x6f\
\x70\x74\x5f\x63\x68\x65\x63\x6b\x73\x3b\x20\x69\x2b\x2b\x29\x20\x7b\0\x09\x69\
\x66\x20\x28\x21\x73\x65\x72\x76\x65\x72\x5f\x69\x64\x29\0\x09\x5f\x5f\x62\x75\
\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x73\x65\x74\x28\x62\x75\x66\x66\x65\x72\
\x2c\x20\x30\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x66\x65\x72\x29\
\x29\x3b\0\x09\x64\x61\x74\x61\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\
\x72\x5f\x73\x6c\x69\x63\x65\x28\x70\x74\x72\x2c\x20\x2a\x6f\x66\x66\x2c\x20\
\x62\x75\x66\x66\x65\x72\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x66\
\x65\x72\x29\x29\x3b\0\x09\x69\x66\x20\x28\x21\x64\x61\x74\x61\x29\0\x09\x6b\
\x69\x6e\x64\x20\x3d\x20\x64\x61\x74\x61\x5b\x30\x5d\x3b\0\x09\x69\x66\x20\x28\
\x6b\x69\x6e\x64\x20\x3d\x3d\x20\x54\x43\x50\x4f\x50\x54\x5f\x45\x4f\x4c\x29\0\
\x09\x69\x66\x20\x28\x2a\x68\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\
\x61\x69\x6e\x69\x6e\x67\x20\x3c\x20\x32\x29\0\x09\x68\x64\x72\x5f\x6c\x65\x6e\
\x20\x3d\x20\x64\x61\x74\x61\x5b\x31\x5d\x3b\0\x09\x69\x66\x20\x28\x68\x64\x72\
\x5f\x6c\x65\x6e\x20\x3e\x20\x2a\x68\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\
\x65\x6d\x61\x69\x6e\x69\x6e\x67\x29\0\x09\x69\x66\x20\x28\x6b\x69\x6e\x64\x20\
\x3d\x3d\x20\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6b\x69\x6e\x64\
\x5f\x74\x70\x72\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x68\x64\x72\x5f\x6c\x65\
\x6e\x20\x21\x3d\x20\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\
\x6e\x5f\x74\x70\x72\x29\0\x09\x09\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\
\x65\x6d\x63\x70\x79\x28\x73\x65\x72\x76\x65\x72\x5f\x69\x64\x2c\x20\x28\x5f\
\x5f\x75\x33\x32\x20\x2a\x29\x28\x64\x61\x74\x61\x20\x2b\x20\x32\x29\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x2a\x73\x65\x72\x76\x65\x72\x5f\x69\x64\x29\x29\
\x3b\0\x09\x09\x2a\x68\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\
\x6e\x69\x6e\x67\x20\x2d\x3d\x20\x31\x3b\0\x09\x2a\x68\x64\x72\x5f\x62\x79\x74\
\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x20\x2d\x3d\x20\x68\x64\x72\
\x5f\x6c\x65\x6e\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x7d\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6b\
\x73\x79\x6d\x73\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\
\x14\0\0\x01\xec\0\0\x02\0\0\0\0\0\0\0\0\x08\0\0\0\x61\0\0\0\x01\0\0\0\0\0\0\0\
\x07\0\0\0\x10\0\0\0\x61\0\0\0\x1e\0\0\0\0\0\0\x01\x3a\0\0\x01\xc3\0\x01\x2c\0\
\0\0\0\x08\0\0\x01\x3a\0\0\x01\xea\0\x01\x34\x07\0\0\0\x38\0\0\x01\x3a\0\0\x02\
\x14\0\x01\x58\x02\0\0\0\x58\0\0\x01\x3a\0\0\x02\x38\0\x01\x68\x0c\0\0\0\x88\0\
\0\x01\x3a\0\0\x02\x78\0\x01\x6c\x06\0\0\0\x90\0\0\x01\x3a\0\0\x02\x87\0\x01\
\x78\x1e\0\0\0\x98\0\0\x01\x3a\0\0\x02\x87\0\x01\x78\x23\0\0\0\xa0\0\0\x01\x3a\
\0\0\x02\x87\0\x01\x78\x14\0\0\0\xa8\0\0\x01\x3a\0\0\x02\x87\0\x01\x78\x28\0\0\
\0\xb0\0\0\x01\x3a\0\0\x02\xc7\0\x01\x7c\x06\0\0\0\xe8\0\0\x01\x3a\0\0\x02\xf3\
\0\x01\xa8\x0b\0\0\0\xf8\0\0\x01\x3a\0\0\x03\x16\0\x01\x9c\x14\0\0\x01\x08\0\0\
\x01\x3a\0\0\x03\x16\0\x01\x9c\x02\0\0\x01\x10\0\0\x01\x3a\0\0\x03\x4e\0\x01\
\xb8\x07\0\0\x01\x48\0\0\x01\x3a\0\0\x03\x5f\0\0\x94\x02\0\0\x01\x78\0\0\x01\
\x3a\0\0\x03\x8d\0\0\x9c\x09\0\0\x01\x90\0\0\x01\x3a\0\0\x03\xca\0\0\xa0\x06\0\
\0\x01\x98\0\0\x01\x3a\0\0\x03\xd6\0\0\xac\x09\0\0\x01\xa0\0\0\x01\x3a\0\0\x03\
\xe7\0\0\xb4\x06\0\0\x01\xb0\0\0\x01\x3a\0\0\x04\0\0\0\xd8\x1b\0\0\x01\xc0\0\0\
\x01\x3a\0\0\x04\0\0\0\xd8\x06\0\0\x01\xc8\0\0\x01\x3a\0\0\x04\x1f\0\0\xe4\x0c\
\0\0\x01\xd0\0\0\x01\x3a\0\0\x04\x33\0\0\xe8\x06\0\0\x01\xd8\0\0\x01\x3a\0\0\
\x04\x58\0\0\xf4\x06\0\0\x01\xe0\0\0\x01\x3a\0\0\x04\x7d\0\0\xf8\x07\0\0\x01\
\xe8\0\0\x01\x3a\0\0\x04\xa3\0\x01\x04\x03\0\0\x02\x18\0\0\x01\x3a\0\0\x04\xeb\
\0\0\xc8\x18\0\0\x02\x28\0\0\x01\x3a\0\0\x05\x08\0\x01\x18\x17\0\0\x02\x30\0\0\
\x01\x3a\0\0\x05\x2a\0\x01\x1c\x02\0\0\x02\x38\0\0\x01\x3a\0\0\x05\x35\0\x01\
\xc8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xeb\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\x01\x08\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x02\x38\0\0\0\0\0\0\x02\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x04\x78\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\x7c\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\x25\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x88\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\x09\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x88\0\0\0\0\0\0\0\x50\0\0\0\
\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xdd\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xd8\0\0\0\0\0\0\x08\x13\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xe2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x0c\xf0\0\0\0\0\0\0\x02\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_parse_tcp_hdr_opt_dynptr *test_parse_tcp_hdr_opt_dynptr::open(const struct bpf_object_open_opts *opts) { return test_parse_tcp_hdr_opt_dynptr__open_opts(opts); }
struct test_parse_tcp_hdr_opt_dynptr *test_parse_tcp_hdr_opt_dynptr::open_and_load() { return test_parse_tcp_hdr_opt_dynptr__open_and_load(); }
int test_parse_tcp_hdr_opt_dynptr::load(struct test_parse_tcp_hdr_opt_dynptr *skel) { return test_parse_tcp_hdr_opt_dynptr__load(skel); }
int test_parse_tcp_hdr_opt_dynptr::attach(struct test_parse_tcp_hdr_opt_dynptr *skel) { return test_parse_tcp_hdr_opt_dynptr__attach(skel); }
void test_parse_tcp_hdr_opt_dynptr::detach(struct test_parse_tcp_hdr_opt_dynptr *skel) { test_parse_tcp_hdr_opt_dynptr__detach(skel); }
void test_parse_tcp_hdr_opt_dynptr::destroy(struct test_parse_tcp_hdr_opt_dynptr *skel) { test_parse_tcp_hdr_opt_dynptr__destroy(skel); }
const void *test_parse_tcp_hdr_opt_dynptr::elf_bytes(size_t *sz) { return test_parse_tcp_hdr_opt_dynptr__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_parse_tcp_hdr_opt_dynptr__assert(struct test_parse_tcp_hdr_opt_dynptr *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_kind_tpr) == 4, "unexpected size of 'tcp_hdr_opt_kind_tpr'");
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_len_tpr) == 4, "unexpected size of 'tcp_hdr_opt_len_tpr'");
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_max_opt_checks) == 4, "unexpected size of 'tcp_hdr_opt_max_opt_checks'");
	_Static_assert(sizeof(s->bss->server_id) == 4, "unexpected size of 'server_id'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_PARSE_TCP_HDR_OPT_DYNPTR_SKEL_H__ */
